
<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

if( !empty( GymatTheme::$options['error_bodybanner'] ) ) {
	$error_bg = wp_get_attachment_image_src( GymatTheme::$options['error_bodybanner'], 'full', true );
	$gymat_error_img = $error_bg[0];
}else {
	$gymat_error_img = GYMAT_IMG_URL . '404.png';
}

?>
<?php get_header();?>
<div id="primary" class="content-area error-page-area" >
	<div class="container">
		<div class="error-page-content">
			<?php if(GymatTheme::$options['error_bg_show']){ ?>
				<div class="item-img">
					<img src="<?php echo esc_url($gymat_error_img); ?>">
				</div>
			<?php } else{ ?>
				<div class="error-shape-wrapper">
					<ul class="error-shape">
						<li class="wow rt-animate fadeInLeft" data-wow-delay="1.2s" data-wow-duration="1.5s"><img width="251" height="304" src="<?php echo GYMAT_ASSETS_URL . 'img/error-1.svg'; ?>" alt="<?php echo esc_attr( 'error-shape1','gymat' ); ?>"></li>
						<li class="wow rt-animate fadeInUp"  data-wow-delay="1.2s" data-wow-duration="1.5s"><img width="187" height="164" src="<?php echo GYMAT_ASSETS_URL . 'img/error-2.svg'; ?>" alt="<?php echo esc_attr( 'error-shape1','gymat' ); ?>"></li>
						<li class="wow rt-animate fadeInRight"  data-wow-delay="1.2s" data-wow-duration="1.5s"><img width="263" height="364" src="<?php echo GYMAT_ASSETS_URL . 'img/error-3.svg'; ?>" alt="<?php echo esc_attr( 'error-shape1','gymat' ); ?>"></li>
					</ul>
					<div class="circle-image"></div>
				</div>
			<?php } ?>
			<?php if ( !empty( GymatTheme::$options['error_text1'] || GymatTheme::$options['ops_text']) ) { ?>
			<h2 class="text-1"><span><?php echo wp_kses( GymatTheme::$options['ops_text'] , 'alltext_allow' );?></span><?php echo wp_kses( GymatTheme::$options['error_text1'] , 'alltext_allow' );?></h2>
			<?php } ?>
			<?php if ( !empty(GymatTheme::$options['error_text2'])) { ?>
			<h2 class="text-2"><?php echo wp_kses( GymatTheme::$options['error_text2'] , 'alltext_allow' );?></h2>
			<?php } ?>
			<div class="go-home">
			  <a href="<?php echo esc_url( home_url( '/' ) );?>" class="error-btn btn-style1"><span><?php echo esc_html( GymatTheme::$options['error_buttontext'] );?>
			  <svg width="21" height="12" viewBox="0 0 21 12" fill="none" xmlns="http://www.w3.org/2000/svg">
				<path fill-rule="evenodd" clip-rule="evenodd" d="M0 6C0 6.22729 0.087059 6.44527 0.242027 6.60598C0.396994 6.7667 0.607174 6.85699 0.82633 6.85699H18.1774L14.6292 10.5352C14.5523 10.6149 14.4914 10.7095 14.4498 10.8136C14.4082 10.9177 14.3868 11.0292 14.3868 11.1419C14.3868 11.2546 14.4082 11.3662 14.4498 11.4703C14.4914 11.5744 14.5523 11.669 14.6292 11.7487C14.706 11.8284 14.7972 11.8916 14.8976 11.9347C14.998 11.9778 15.1056 12 15.2142 12C15.3229 12 15.4304 11.9778 15.5308 11.9347C15.6312 11.8916 15.7224 11.8284 15.7992 11.7487L20.7572 6.60675C20.8342 6.52714 20.8952 6.43257 20.9369 6.32846C20.9786 6.22434 21 6.11272 21 6C21 5.88728 20.9786 5.77566 20.9369 5.67154C20.8952 5.56743 20.8342 5.47286 20.7572 5.39325L15.7992 0.251323C15.6441 0.0904038 15.4336 0 15.2142 0C14.9948 0 14.7843 0.0904038 14.6292 0.251323C14.474 0.412243 14.3868 0.630497 14.3868 0.858071C14.3868 1.08565 14.474 1.3039 14.6292 1.46482L18.1774 5.14301H0.82633C0.607174 5.14301 0.396994 5.2333 0.242027 5.39402C0.087059 5.55474 0 5.77271 0 6Z" fill="white"/>
			  </svg>
			</span></a>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>