<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

// Layout class
if ( GymatTheme::$layout == 'full-width' ) {
	$gymat_layout_class = 'col-sm-12 col-12';
}
else{
	$gymat_layout_class = GymatTheme_Helper::has_active_widget();
}
$gymat_is_post_archive = is_home() || ( is_archive() && get_post_type() == 'post' ) ? true : false;

if ( is_post_type_archive( "gymat_class" ) || is_tax( "gymat_class_category" ) ) {
		get_template_part( 'template-parts/archive', 'class' );
	return;
}

if ( is_post_type_archive( "gymat_gallery" ) || is_tax( "gymat_gallery_category" ) ) {
	get_template_part( 'template-parts/archive', 'gallery' );
	return;
}
if ( is_post_type_archive( "gymat_trainer" ) || is_tax( "gymat_trainer_category" ) ) {
		get_template_part( 'template-parts/archive', 'trainer' );
	return;
}

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">
		<div class="row">
			<?php
			if ( GymatTheme::$layout == 'left-sidebar' ) {
				get_sidebar();
			}
			?>
			<div class="<?php echo esc_attr( $gymat_layout_class );?>">
				<main id="main" class="site-main">
					<div class="rt-sidebar-sapcer">	
						<?php
						if ( have_posts() ) { ?>
							<?php
							if ( $gymat_is_post_archive && GymatTheme::$options['blog_style'] == 'style1' ) {
								echo '<div class="row">';
								while ( have_posts() ) : the_post();
									get_template_part( 'template-parts/content-1', get_post_format() );
								endwhile;
								echo '</div>';
							} else if ( $gymat_is_post_archive && GymatTheme::$options['blog_style'] == 'style2' ) {
								while ( have_posts() ) : the_post();
									get_template_part( 'template-parts/content-2', get_post_format() );
								endwhile;
							} 
							else {
								while ( have_posts() ) : the_post();
									get_template_part( 'template-parts/content-1', get_post_format() );
								endwhile;
							}

							?>
							<?php GymatTheme_Helper::pagination(); ?>
							
						<?php } else {?>
							<?php get_template_part( 'template-parts/content', 'none' );?>
						<?php } ?>
						</div>
				</main>
			</div>
			<?php
			if( GymatTheme::$layout == 'right-sidebar' ){				
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>
<?php get_footer(); ?>
