<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$gymat_theme_data = wp_get_theme();
	$action  = 'gymat_theme_init';
	do_action( $action );
	define( 'GYMAT_VERSION', ( WP_DEBUG ) ? time() : $gymat_theme_data->get( 'Version' ) );
	define( 'GYMAT_AUTHOR_URI', $gymat_theme_data->get( 'AuthorURI' ) );
	define( 'GYMAT_NAME', 'gymat' );

	// DIR
	define( 'GYMAT_BASE_DIR',    get_template_directory(). '/' );
	define( 'GYMAT_INC_DIR',     GYMAT_BASE_DIR . 'inc/' );
	define( 'GYMAT_VIEW_DIR',    GYMAT_INC_DIR . 'views/' );
	define( 'GYMAT_LIB_DIR',     GYMAT_BASE_DIR . 'lib/' );
	define( 'GYMAT_WID_DIR',     GYMAT_INC_DIR . 'widgets/' );
	define( 'GYMAT_PLUGINS_DIR', GYMAT_INC_DIR . 'plugins/' );
	define( 'GYMAT_MODULES_DIR', GYMAT_INC_DIR . 'modules/' );
	define( 'GYMAT_ASSETS_DIR',  GYMAT_BASE_DIR . 'assets/' );
	define( 'GYMAT_CSS_DIR',     GYMAT_ASSETS_DIR . 'css/' );
	define( 'GYMAT_JS_DIR',      GYMAT_ASSETS_DIR . 'js/' );
	define( 'GYMAT_WOO_DIR',   GYMAT_BASE_DIR . 'woocommerce/' );

	// URL
	define( 'GYMAT_BASE_URL',    get_template_directory_uri(). '/' );
	define( 'GYMAT_ASSETS_URL',  GYMAT_BASE_URL . 'assets/' );
	define( 'GYMAT_CSS_URL',     GYMAT_ASSETS_URL . 'css/' );
	define( 'GYMAT_JS_URL',      GYMAT_ASSETS_URL . 'js/' );
	define( 'GYMAT_IMG_URL',     GYMAT_ASSETS_URL . 'img/' );
	define( 'GYMAT_LIB_URL',     GYMAT_BASE_URL . 'lib/' );


// icon trait Plugin Activation
	require_once GYMAT_INC_DIR . 'icon-trait.php';
	// Includes
	require_once GYMAT_INC_DIR . 'gymat-register-widget.php';
	require_once GYMAT_INC_DIR . 'helper-functions.php';
	require_once GYMAT_INC_DIR . 'gymat.php';
	require_once GYMAT_INC_DIR . 'general.php';
	require_once GYMAT_INC_DIR . 'scripts.php';
	require_once GYMAT_INC_DIR . 'template-vars.php';
	require_once GYMAT_INC_DIR . 'includes.php';

	// Includes Modules
	require_once GYMAT_MODULES_DIR . 'rt-post-related.php';
	require_once GYMAT_MODULES_DIR . 'rt-class-related.php';
	require_once GYMAT_MODULES_DIR . 'rt-trainer-related.php';
	require_once GYMAT_MODULES_DIR . 'rt-breadcrumbs.php';

	// TGM Plugin Activation
	require_once GYMAT_LIB_DIR . 'class-tgm-plugin-activation.php';
	require_once GYMAT_INC_DIR . 'tgm-config.php';

	require_once GYMAT_INC_DIR . 'lc-helper.php';
	require_once GYMAT_INC_DIR . 'lc-utility.php';

	add_editor_style( 'style-editor.css' );

	// Update Breadcrumb Separator
	add_action('bcn_after_fill', 'gymat_hseparator_breadcrumb_trail', 1);
	function gymat_hseparator_breadcrumb_trail($object){
		$object->opt['hseparator'] = '<span class="dvdr"> - </span>';
		return $object;
	}

