<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\gymat\Customizer\Settings;

use radiustheme\gymat\Customizer\GymatTheme_Customizer;

/**
 * Adds the individual sections, settings, and controls to the theme customizer
 */
class GymatTheme_Slug_Settings extends GymatTheme_Customizer {

	public function __construct() {
        parent::instance();
        $this->populated_default_data();
        // Register Page Controls
        add_action( 'customize_register', array( $this, 'register_slug_controls' ) );
	}

    public function register_slug_controls( $wp_customize ) {
	
		$wp_customize->add_setting( 'trainer_slug',
            array(
                'default' => $this->defaults['trainer_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'trainer_slug',
            array(
                'label' => __( 'Trainer Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );
		
		$wp_customize->add_setting( 'class_slug',
            array(
                'default' => $this->defaults['class_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'class_slug',
            array(
                'label' => __( 'Class Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );
		
		

        $wp_customize->add_setting( 'gallery_slug',
            array(
                'default' => $this->defaults['gallery_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'gallery_slug',
            array(
                'label' => __( 'Gallery Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );

		
		$wp_customize->add_setting( 'testimonial_slug',
            array(
                'default' => $this->defaults['testimonial_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'testimonial_slug',
            array(
                'label' => __( 'Testimonial Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );

        
		
		// Category
		$wp_customize->add_setting( 'trainer_cat_slug',
            array(
                'default' => $this->defaults['trainer_cat_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'trainer_cat_slug',
            array(
                'label' => __( 'Trainer Category Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );
		
		$wp_customize->add_setting( 'class_cat_slug',
            array(
                'default' => $this->defaults['class_cat_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'class_cat_slug',
            array(
                'label' => __( 'Class Category Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );
		
	
		
		$wp_customize->add_setting( 'testim_cat_slug',
            array(
                'default' => $this->defaults['testim_cat_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'testim_cat_slug',
            array(
                'label' => __( 'Testimonial Category Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );
        
        $wp_customize->add_setting( 'gallery_cat_slug',
            array(
                'default' => $this->defaults['gallery_cat_slug'],
                'transport' => 'refresh',
                'sanitize_callback' => 'rttheme_text_sanitization'
            )
        );
        $wp_customize->add_control( 'gallery_cat_slug',
            array(
                'label' => __( 'Gallery Category Slug', 'gymat' ),
                'section' => 'slug_layout_section',
                'type' => 'text',
            )
        );

        

    }

}

/**
 * Initialise our Customizer settings only when they're required
 */
if ( class_exists( 'WP_Customize_Control' ) ) {
	new GymatTheme_Slug_Settings();
}
