<?php

// Initialize Widgets
add_action( 'widgets_init', 'gymat_widgets_register' );
if ( !function_exists( 'gymat_widgets_register' ) ) {
	function gymat_widgets_register() {
		
		// Register Widget Areas ( Common )
		register_sidebar( array(
			'name'          => esc_html__( 'Sidebar', 'gymat' ),
			'id'            => 'sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="rt-widget-title-holder"><h3 class="widgettitle">',
			'after_title'   => '<span class="titleinner"></span></h3></div>',
			) );
		
		if ( class_exists( 'Gymat_Core' ) ) {
			register_sidebar( array(
				'name'          => 'Class Sidebar',
				'id'            => 'class-sidebar',
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<div class="rt-widget-title-holder"><h3 class="widgettitle">',
				'after_title'   => '<span class="titleinner"></span></h3></div>',
			) );			
		}
		if ( class_exists( 'WooCommerce' ) ) {
			register_sidebar( array(
				'name'          => 'Shop Sidebar',
				'id'            => 'shop-sidebar-1',
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<div class="rt-widget-title-holder"><h3 class="widgettitle">',
				'after_title'   => '<span class="titleinner"></span></h3></div>',
			) );
		}	
		register_sidebar( array(
			'name'          => esc_html__( 'Offcanvas Info', 'gymat' ),
			'id'            => 'offcanvas',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="hidden">',
			'after_title'   => '</h3>',
		) );
		
		/**Footer Register */
		if ( !empty(GymatTheme::$options['footer_column_1']) ){
			$item_widget = GymatTheme::$options['footer_column_1'];
		} else {
			$item_widget = 4;
		}

		$footer_widget_titles=__('Footer (Style','gymat');
		for($i=1;$i<=2;$i++){
			for ( $j = 1; $j <= $item_widget; $j++ ) {
				register_sidebar( array(
					'name'          => $footer_widget_titles.' '.$i.' ) '.$j,
					'id'            => 'footer-style-'. $i.'-'.$j,
					'before_widget' => '<div id="%1$s" class="widget %2$s">',
					'after_widget'  => '</div>',
					'before_title'  => '<h3 class="widgettitle '. GymatTheme::$footer_style .'">',
					'after_title'   => '</h3>',
				) );
			}
		}
		if ( !empty(GymatTheme::$options['footer_column_2']) ){
			$item_widget = GymatTheme::$options['footer_column_2'];
		} else {
			$item_widget = 3;
		}
		$footer_widget_titles=__('Footer (Style','gymat');
		//i=3 use for footer layout 3 
		for($i=3;$i<=3;$i++){
			for ( $j = 1; $j <= $item_widget; $j++ ) {
				register_sidebar( array(
					'name'          => $footer_widget_titles.' '.$i.' ) '.$j,
					'id'            => 'footer-style-'. $i.'-'.$j,
					'before_widget' => '<div id="%1$s" class="widget %2$s">',
					'after_widget'  => '</div>',
					'before_title'  => '<h3 class="widgettitle '. GymatTheme::$footer_style .'">',
					'after_title'   => '</h3>',
				) );
			}
		}

		if ( !empty(GymatTheme::$options['footer_column_1']) ){
			$item_widget = GymatTheme::$options['footer_column_1'];
		} else {
			$item_widget = 4;
		}
		$footer_widget_titles=__('Footer (Style','gymat');
		//i=4 use for footer layout 4 
		for($x=4;$x<=4;$x++){
			for ( $y = 1; $y <= $item_widget; $y++ ) {
				register_sidebar( array(
					'name'          => $footer_widget_titles.' '.$x.' ) '.$y,
					'id'            => 'footer-style-'. $x.'-'.$y,
					'before_widget' => '<div id="%1$s" class="widget %2$s">',
					'after_widget'  => '</div>',
					'before_title'  => '<h3 class="widgettitle '. GymatTheme::$footer_style .'">',
					'after_title'   => '</h3>',
				) );
			}
		}				
	}
}

function gymat_footer_layout(){
	return array(
		'1' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'assets/img/footer-1.jpg',
			'name' => __( 'Layout 1', 'gymat' )
		),
		'2' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'assets/img/footer-2.jpg',
			'name' => __( 'Layout 2', 'gymat' )
		),
		'3' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'assets/img/footer-3.jpg',
			'name' => __( 'Layout 3', 'gymat' )
		),
		'4' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'assets/img/footer-4.jpg',
			'name' => __( 'Layout 4', 'gymat' )
		),
	);
}