<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

add_action( 'template_redirect', 'gymat_template_vars' );
if( !function_exists( 'gymat_template_vars' ) ) {
    function gymat_template_vars() {
        // Single Pages
        if( is_single() || is_page() ) {
            $post_type = get_post_type();
            $post_id   = get_the_id();
            switch( $post_type ) {
                case 'page':
                $prefix = 'page';
                break;
				case 'gymat_class':
                $prefix = 'class';
                break;		  
                case 'gymat_gallery':
                $prefix = 'gallery';
                break;  		  
                case 'gymat_trainer':
                $prefix = 'trainer';
                break;  
                case 'product':
                $prefix = 'product';
                break;
                default:
                $prefix = 'single_post';
                break;
            }
			
			$layout_settings    = get_post_meta( $post_id, 'gymat_layout_settings', true );
            GymatTheme::$layout = ( empty( $layout_settings['gymat_layout'] ) || $layout_settings['gymat_layout']  == 'default' ) ? GymatTheme::$options[$prefix . '_layout'] : $layout_settings['gymat_layout'];

			GymatTheme::$tr_header = ( empty( $layout_settings['gymat_tr_header'] ) || $layout_settings['gymat_tr_header'] == 'default' ) ? GymatTheme::$options['tr_header'] : $layout_settings['gymat_tr_header'];
            
            GymatTheme::$top_bar = ( empty( $layout_settings['gymat_top_bar'] ) || $layout_settings['gymat_top_bar'] == 'default' ) ? GymatTheme::$options['top_bar'] : $layout_settings['gymat_top_bar'];
            
            GymatTheme::$top_bar_style = ( empty( $layout_settings['gymat_top_bar_style'] ) || $layout_settings['gymat_top_bar_style'] == 'default' ) ? GymatTheme::$options['top_bar_style'] : $layout_settings['gymat_top_bar_style'];
			
			GymatTheme::$header_opt = ( empty( $layout_settings['gymat_header_opt'] ) || $layout_settings['gymat_header_opt'] == 'default' ) ? GymatTheme::$options['header_opt'] : $layout_settings['gymat_header_opt'];
            
            GymatTheme::$header_style = ( empty( $layout_settings['gymat_header'] ) || $layout_settings['gymat_header'] == 'default' ) ? GymatTheme::$options['header_style'] : $layout_settings['gymat_header'];
			
            GymatTheme::$footer_style = ( empty( $layout_settings['gymat_footer'] ) || $layout_settings['gymat_footer'] == 'default' ) ? GymatTheme::$options['footer_style'] : $layout_settings['gymat_footer'];

           
			
			GymatTheme::$footer_area = ( empty( $layout_settings['gymat_footer_area'] ) || $layout_settings['gymat_footer_area'] == 'default' ) ? GymatTheme::$options['footer_area'] : $layout_settings['gymat_footer_area'];

            GymatTheme::$footer_copyright_area = ( empty( $layout_settings['gymat_copyright_area'] ) || $layout_settings['gymat_copyright_area'] == 'default' ) ? GymatTheme::$options['footer_copyright_area'] : $layout_settings['gymat_copyright_area'];
			
			
            $padding_top = ( empty( $layout_settings['gymat_top_padding'] ) || $layout_settings['gymat_top_padding'] == 'default' ) ? GymatTheme::$options[$prefix . '_padding_top'] : $layout_settings['gymat_top_padding'];
			
            GymatTheme::$padding_top = (int) $padding_top;
            
            $padding_bottom = ( empty( $layout_settings['gymat_bottom_padding'] ) || $layout_settings['gymat_bottom_padding'] == 'default' ) ? GymatTheme::$options[$prefix . '_padding_bottom'] : $layout_settings['gymat_bottom_padding'];
			
            GymatTheme::$padding_bottom = (int) $padding_bottom;
			
            GymatTheme::$has_banner = ( empty( $layout_settings['gymat_banner'] ) || $layout_settings['gymat_banner'] == 'default' ) ? GymatTheme::$options[$prefix . '_banner'] : $layout_settings['gymat_banner'];
            
            GymatTheme::$has_breadcrumb = ( empty( $layout_settings['gymat_breadcrumb'] ) || $layout_settings['gymat_breadcrumb'] == 'default' ) ? GymatTheme::$options[ $prefix . '_breadcrumb'] : $layout_settings['gymat_breadcrumb'];
            
            GymatTheme::$bgtype = ( empty( $layout_settings['gymat_banner_type'] ) || $layout_settings['gymat_banner_type'] == 'default' ) ? GymatTheme::$options[$prefix . '_bgtype'] : $layout_settings['gymat_banner_type'];
            
            GymatTheme::$bgcolor = empty( $layout_settings['gymat_banner_bgcolor'] ) ? GymatTheme::$options[$prefix . '_bgcolor'] : $layout_settings['gymat_banner_bgcolor'];
			
			if( !empty( $layout_settings['gymat_banner_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( $layout_settings['gymat_banner_bgimg'], 'full', true );
                GymatTheme::$bgimg = $attch_url[0];
            } elseif( !empty( GymatTheme::$options[$prefix . '_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( GymatTheme::$options[$prefix . '_bgimg'], 'full', true );
                GymatTheme::$bgimg = $attch_url[0];
            } else {
                GymatTheme::$bgimg = GYMAT_IMG_URL . 'banner.jpg';
            }
			
            GymatTheme::$pagebgcolor = empty( $layout_settings['gymat_page_bgcolor'] ) ? GymatTheme::$options[$prefix . '_page_bgcolor'] : $layout_settings['gymat_page_bgcolor'];			
            
            if( !empty( $layout_settings['gymat_page_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( $layout_settings['gymat_page_bgimg'], 'full', true );
                GymatTheme::$pagebgimg = $attch_url[0];
            } elseif( !empty( GymatTheme::$options[$prefix . '_page_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( GymatTheme::$options[$prefix . '_page_bgimg'], 'full', true );
                GymatTheme::$pagebgimg = $attch_url[0];
            }
        }
        
        // Blog and Archive
        elseif( is_home() || is_archive() || is_search() || is_404() ) {
            if( is_search() ) {
                $prefix = 'search';
            } else if( is_404() ) {
                $prefix                                = 'error';
                GymatTheme::$options[$prefix . '_layout'] = 'full-width';
            } else if( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
                $prefix = 'shop';
            } elseif( is_post_type_archive( "gymat_class" ) || is_tax( "gymat_class_category" ) ) {
                $prefix = 'class_archive';            
            } elseif( is_post_type_archive( "gymat_gallery" ) || is_tax( "gymat_gallery_category" ) ) {
                    $prefix = 'gallery_archive';
			} elseif( is_post_type_archive( "gymat_trainer" ) || is_tax( "gymat_trainer_category" ) ) {
                $prefix = 'trainer_archive'; 
			} else {
                $prefix = 'blog';
            }
            
            GymatTheme::$layout         		= GymatTheme::$options[$prefix . '_layout'];
            GymatTheme::$tr_header      		= GymatTheme::$options['tr_header'];
            GymatTheme::$top_bar        		= GymatTheme::$options['top_bar'];
            GymatTheme::$header_opt      		= GymatTheme::$options['header_opt'];
            GymatTheme::$footer_area     		= GymatTheme::$options['footer_area'];
            GymatTheme::$footer_copyright_area  = GymatTheme::$options['footer_copyright_area'];
            GymatTheme::$top_bar_style  		= GymatTheme::$options['top_bar_style'];
            GymatTheme::$header_style   		= GymatTheme::$options['header_style'];
            GymatTheme::$footer_style   		= GymatTheme::$options['footer_style'];
            GymatTheme::$padding_top    		= GymatTheme::$options[$prefix . '_padding_top'];
            GymatTheme::$padding_bottom 		= GymatTheme::$options[$prefix . '_padding_bottom'];
            GymatTheme::$has_banner     		= GymatTheme::$options[$prefix . '_banner'];
            GymatTheme::$has_breadcrumb 		= GymatTheme::$options[$prefix . '_breadcrumb'];
            GymatTheme::$bgtype         		= GymatTheme::$options[$prefix . '_bgtype'];
            GymatTheme::$bgcolor        		= GymatTheme::$options[$prefix . '_bgcolor'];
            if( !empty( GymatTheme::$options[$prefix . '_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( GymatTheme::$options[$prefix . '_bgimg'], 'full', true );
                GymatTheme::$bgimg = $attch_url[0];
            } else {
                GymatTheme::$bgimg = GYMAT_IMG_URL . 'banner.jpg';
            }
			
            GymatTheme::$pagebgcolor = GymatTheme::$options[$prefix . '_page_bgcolor'];
            if( !empty( GymatTheme::$options[$prefix . '_page_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( GymatTheme::$options[$prefix . '_page_bgimg'], 'full', true );
                GymatTheme::$pagebgimg = $attch_url[0];
            }
			
			
        }
    }
}

// Add body class
add_filter( 'body_class', 'gymat_body_classes' );
if( !function_exists( 'gymat_body_classes' ) ) {
    function gymat_body_classes( $classes ) {
		
		// Header
    	if ( GymatTheme::$options['sticky_menu'] == 1 ) {
			$classes[] = 'sticky-header';
		}
		if ( GymatTheme::$options['class_style'] == 'style2' ) {
			$classes[] = 'class-style-2';
		}
        $classes[] = 'header-style-'. GymatTheme::$header_style;		
        $classes[] = 'footer-style-'. GymatTheme::$footer_style;
	

        if ( GymatTheme::$top_bar == 1 || GymatTheme::$top_bar == 'on' ){
            $classes[] = 'has-topbar topbar-style-'. GymatTheme::$top_bar_style;
        }
		
        if ( GymatTheme::$tr_header === 1 || GymatTheme::$tr_header === "on" ){
           $classes[] = 'trheader';
        }
        
        $classes[] = ( GymatTheme::$layout == 'full-width' ) ? 'no-sidebar' : 'has-sidebar';
		
		$classes[] = ( GymatTheme::$layout == 'left-sidebar' ) ? 'left-sidebar' : 'right-sidebar';
        if(class_exists('Woocommerce')){
            $classes[] = 'rt-woocommerce';
        }
        if( isset( $_COOKIE["shopview"] ) && $_COOKIE["shopview"] == 'list' ) {
            $classes[] = 'product-list-view';
        } else {
            $classes[] = 'product-grid-view';
        }
		if ( is_singular('post') ) {
			$classes[] =  ' post-detail-' . GymatTheme::$options['post_style'];
        }
        if(GymatTheme::$options['footer_sticky']==1){
            $classes[] = 'sticky-footer';
        }
        if(GymatTheme::$has_breadcrumb==1){
            $classes[]='active-breadcumb';
        }
        if(gymat_has_footer_widget()===true){
            $classes[] = 'has-footer-widget';
        }
        else{
            $classes[] = 'no-footer-widget';
        }
        return $classes;
    }
}
function gymat_has_footer_widget(){
    $total_footer_layout=count(gymat_footer_layout());
    for($i=1;$i<=$total_footer_layout;$i++){
        for($j=$i;$j<=4;$j++){
            if(is_active_sidebar( 'footer-style-'.$i.'-'.$j )){
                return true;
            }
        }
    }
    return false;
}