<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$primary_color     = GymatTheme::$options['primary_color']; // #0f5bf5
$primary_rgb       = GymatTheme_Helper::hex2rgb( $primary_color ); // 15, 91, 245
$secondary_color   = GymatTheme::$options['secondary_color']; // #03359b
$secondary_rgb     = GymatTheme_Helper::hex2rgb( $secondary_color ); // 253, 201, 2
$gradient_dark_color   = GymatTheme::$options['gradient_dark_color'];
$gradient_light_color  = GymatTheme::$options['gradient_light_color'];

/*---------------------------------    
INDEX
===================================
#. EL: Button
#. EL: Section Title
#. EL: Slider
#. EL: Owl Nav 1
#. EL: Owl Nav 2
#. EL: Owl Nav 3
#. EL: Text/image With Button
#. EL: Info Box
#. EL: Counter
#. EL: Team
#. EL: Gallery
#. EL: Service Layout
#. EL: Service Layout
#. EL: Testimonial
#. EL: Post Grid
#. EL: Pricing Table
#. EL: Tab Form
#. EL: Widget
#. EL: Others

----------------------------------*/

/*-----------------------
#. EL: Button
------------------------*/
?>

.btn-style1 span,
.btn-style3:hover span{
	background: <?php echo esc_html($primary_color); ?>;
}
.btn-style1:hover:before,
.btn-style3:hover:before{
	border-color:<?php echo esc_html($primary_color); ?>;
}
.btn-style2 svg path{
	fill:<?php echo esc_html($primary_color); ?>;
}
<?php
/*-----------------------
#. EL: Section Title
------------------------*/
?>
.sec-title .sub-title{
	background:<?php echo esc_html($primary_color); ?>;
}
.sec-title.style2 .title-shape svg path{
	fill:<?php echo esc_html($primary_color); ?>;
}
<?php
/*------------------------------
#. EL: Pricing table
-------------------------------*/
?>

.pricing-box-1:hover .item-img .item-title,
.rt-pricing-table .radius-btn:hover,
.radius-block-3d-flip-container .post-btn a,
.pricing-switch-container .switch-button,
.pricing-box-1 .item-content .item-button .item-btn:hover .btn-text{
	background-color:<?php echo esc_html($primary_color); ?>;
} 
.pricing-box-1 .item-img .item-title,
.rt-pricing-table .radius-btn,
.pricing-box-2 .item-content .rt-price-box{
	color:<?php echo esc_html($primary_color); ?>;
}

.pricing-box-1 .item-content .item-button .item-btn:hover:before{
	border-color:<?php echo esc_html($primary_color); ?>;
}
.pricing-box-2:hover .rt-background-img::after{
	background:rgba(<?php echo esc_html( $primary_rgb );?>, 0.7);
}
.pricing-style2 .pricing-image:after{
	background: linear-gradient(-102.78deg, rgba(<?php echo esc_html( $primary_rgb );?>, 0.5) 13.93%, rgba(105, 105, 105, 0.5) 75.58%);
}
<?php
/*------------------------------
#. EL: Post Grid
--------------------------------*/
?>

.post-default .post-grid-item  .entry-title a:hover{
	color:<?php echo esc_html( $primary_color);?>;
}

.post-default .post-grid-item:hover .blog-cat a{
	background-color: <?php echo esc_html( $primary_color);?>;
    border-color: <?php echo esc_html( $primary_color);?>;
}
.post-grid-style1 .post-grid-item .blog-date,
.radius-block-3d-flip-container .rt-flip-back .post-btn a{
	background-color: <?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Widget
--------------------------------*/
?>
.fixed-sidebar-left .elementor-widget-wp-widget-nav_menu ul > li > a:hover,
.fix-bar-bottom-copyright .rt-about-widget ul li a:hover, 
.fixed-sidebar-left .rt-about-widget ul li a:hover {
	color: <?php echo esc_html( $primary_color );?>;
}
.element-side-title h5:after {
    background: <?php echo esc_html( $secondary_color );?>;
}

<?php
/*------------------------------
#. EL: BMI Calculator
--------------------------------*/
?>
.rt-bmi-calculator .rt-bmi-form .rt-bmi-submit,
.rt-bmi-calculator.style3 .rt-bmi-form .rt-bmi-submit:hover,
.rt-bmi-calculator.style2 .rt-bmi-fields .rt-bmi-submit{
	background: <?php echo esc_html( $primary_color);?>;
}
.rt-bmi-calculator.style1 .rt-bmi-form .rt-bmi-submit:hover{
	color:<?php echo esc_html( $primary_color);?>;
}
.rt-bmi-calculator.style3 .rt-bmi-form .rt-bmi-submit:hover{
	border-color:<?php echo esc_html( $primary_color);?>;
}
.image-style9 .shape-element li svg path{
	fill:<?php echo esc_html( $primary_color);?>;
}

.play-button .play-btn{
	color:<?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Trainer Multi Layout
--------------------------------*/
?>
.trainer-multi-layout-1 .trainer-item .trainer-thumb:after,
.trainer-grid-style4 .trainer-item .item-content .trainer-designation:after,
.trainer-multi-layout-3 .trainer-social  ul li a,
.trainer-multi-layout-2 .trainer-item .trainer-content:after,
.trainer-multi-layout-3 .swiper-pagination-bullet-active,
.trainer-default .trainer-item .trainer-content ul li a:hover{
	background: <?php echo esc_html( $primary_color);?>;
}
.trainer-default .trainer-title a:hover,
.trainer-grid-style4 .trainer-item .item-content .item-social ul li a:hover,
.trainer-multi-layout-3 .trainer-item .trainer-content .trainer-social ul li a:hover,
.trainer-multi-layout-2 .trainer-item:hover .trainer-icon-shape .rt-icon i{
	color:<?php echo esc_html( $primary_color);?>;
}
.trainer-grid-style4 .trainer-item .item-icon-shape-2 svg path{
	fill:<?php echo esc_html( $primary_color);?>;
}

<?php
/*------------------------------
#. EL: Trainer Single
--------------------------------*/
?>

.trainer-single .trainer-info-box .trainer-thums::before,
.trainer-single .trainer-social ul li a:hover,
.single-gymat_class .class-info-wrap .info-title:after,
.single-gymat_class .single-class-button a,
.trainer-single .trainer-class-schedule h4:after,
.frm-fluent-form .trainer-submit-form .ff-btn-submit,
.trainer-single .form-box .form-title:after,
.frm-fluent-form .trainer-form .choices__list--dropdown .choices__item--selectable.is-highlighted,
.trainer-single .trainer-info-box .trainer-info:after,
.trainer-single .trainer-info-box .trainer-thums::after{
	background:<?php echo esc_html( $primary_color);?>;
}
.frm-fluent-form .trainer-submit-form .ff-btn-submit{
	border-color:<?php echo esc_html( $primary_color);?>;
}
.trainer-single .trainer-content > ul > li::before,
.site-header .rt-sticky .main-navigation ul.menu > li.current-menu-item > a {
	color:<?php echo esc_html( $primary_color);?>;
}
.single-gymat_class .single-class-button a:hover{
	background:#db163e;
}
<?php
/*------------------------------
#. EL: Gallery Multi Layout
--------------------------------*/
?>
.gallery-multi-layout-1 .gallery-button a{
	color:<?php echo esc_html( $primary_color);?>;
}
.gallery-multi-layout-1 .gallery-figure:before{
	background-color: rgba(<?php echo esc_html( $primary_rgb );?>, 0.6);
}
<?php
/*------------------------------
#. EL: Class Multi Layout
--------------------------------*/
?>

.class-default .class-title a:hover,
.upcomming-class-layout2 .class-thumbnail .class-media .class-icon i,
.class-multi-layout2 .btn-style1 span svg path,
.class-grid-layout1 .class-item:hover .class-media .class-icon i,
.class-multilayout-3 .class-item:hover .class-thumbnail .class-media .class-icon i
{
	color:<?php echo esc_html( $primary_color);?>;
}
.class-grid-layout1 .class-item .schedule-time ul,
.upcomming-class-layout2 .section-heading .subtitle,
.class-multi-layout2 .btn-style1:hover span,
.class-grid-layout1 .class-media,
.class-grid-layout2 .class-item:hover .class-media,
.class-grid-layout2 .class-item:hover:before,
.swiper-button .swiper-button-arrow.active,
.class-multilayout-3 .class-item .schedule,
.class-multi-layout2 .class-box-wrapper::before,
.class-multi-layout2 .class-title:after{
	background-color:<?php echo esc_html( $primary_color);?>;
}

<?php
/*------------------------------
#. EL: Routine Layout
--------------------------------*/
?>

.rt-routine .rt-item .trainer-thumb .media-body .trainer-btn{
	border-color: <?php echo esc_html( $primary_color);?>;
    background-color: <?php echo esc_html( $primary_color);?>;
}
.rt-routine .rt-item .trainer-thumb .media-body .trainer-btn:hover,
.rt-routine .rt-item .trainer-thumb .trainer-position{
	background-color: #fff;
    color: <?php echo esc_html( $primary_color);?>;
}

<?php
/*------------------------------
#. EL: Schedule Layout
--------------------------------*/
?>
.rt-defualt-schedule .nav-tabs li a.active,
.rt-defualt-schedule .nav-tabs li a.active:hover,
.rt-defualt-schedule .nav-tabs li a:hover{
	background-color: <?php echo esc_html( $primary_color);?>;
	border-color: <?php echo esc_html( $primary_color);?>;
}
.rt-class-schedule-1 .class-schedule-tab ul li.rtin-btn a:hover{
	background-color: <?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Class single 
--------------------------------*/
?>
.video-icon .rtin-play,
.single-gymat_class .content-area .schedule-table td a:hover{
	color:<?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Info Box
--------------------------------*/
?>

.info-box.info-style2 .info-media .info-icon i,
.info-box.multi-infobox-2 .info-media .info-icon i,
.info-box.info-style2 .info-title a:hover,
.info-box.info-style6 .info-item:hover .info-media .info-icon i
{
	color:<?php echo esc_html( $primary_color);?>;
}
.info-box.info-style1 .info-item:hover .info-media,
.info-box.info-style6 .info-item .info-media{
	background:<?php echo esc_html( $primary_color);?>;
}
.info-box.info-style6 .info-item .info-media{
	border-color:<?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Image Box
--------------------------------*/
?>
.image-style1 .image-shape-element-2 ul li svg path,
.image-style3 .image-shape-element ul li:nth-child(1) svg path{
	fill:<?php echo esc_html( $primary_color);?>;
}
.image-style2 .image-shape-element ul li:nth-child(1){
	background-color:<?php echo esc_html( $primary_color);?>;
}
.image-style2 .image-shape-element ul li:nth-child(1) svg path{
	fill:<?php echo esc_html( $primary_color);?>;
}

<?php
/*------------------------------
#. EL: Banner addon
--------------------------------*/
?>
.rt-banner-addon .subtitle,
.subtitle,
.rt-banner-addon.style3 .item-clip-shape,
.rt-banner-addon .banner-social-section .line:after{
	background-color:<?php echo esc_html( $primary_color);?>;
}
.rt-banner-addon.style2 svg defs linearGradient stop,
.rt-banner-addon.style3 svg defs linearGradient stop{
    stop-color: <?php echo esc_html( $primary_color);?>;
}
.rt-banner-addon .banner-social-section a:hover,
.rt-banner-addon.style3 .feature-list ul li i{
	color:<?php echo esc_html( $primary_color);?>!important;
}

<?php
/*------------------------------
#. EL: Contact info
--------------------------------*/
?>
.contact-info-default .section-line-one,
.contact-info-default.info-style2 ul li a:hover{
	background-color:<?php echo esc_html( $primary_color);?>;
}

<?php
/*------------------------------
#. EL: Call to action
--------------------------------*/
?>
.cta-default.cta-style1:after,
.cta-default.cta-style3 .action-box:hover .cta-img::before,
.cta-default.cta-style3 .cta-img::after{
	background-color:<?php echo esc_html( $primary_color);?>;
}
.cta-default.cta-style1 .item-shape svg path{
	fill:<?php echo esc_html( $primary_color);?>;
}
.cta-default.cta-style3 .action-box:hover .cta-content.has-icon .icon{
	color:<?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Testimonial
--------------------------------*/
?>

.testimonial-style1 .swiper-button-next:hover, 
.testimonial-style1 .swiper-button-prev:hover{
    background-color: <?php echo esc_html( $primary_color);?>;
    border-color: <?php echo esc_html( $primary_color);?>;
}
.testimonial-multi-layout .swiper-pagination .swiper-pagination-bullet-active,
.testimonial-style4 .swiper-button-next:hover,
.testimonial-style4 .swiper-button-prev:hover,
.default-testimonial.testimonial-style3::after{
	background-color: <?php echo esc_html( $primary_color);?>;
}
.testimonial-style4 .swiper-button-next:hover,
.testimonial-style4 .swiper-button-prev:hover{
	border-color:<?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Video
--------------------------------*/
?>
.rt-video.video-style2 .rt-video-img.has-shape::before,
.rt-video.video-style2 .rt-video-img.has-shape::after{
	background-color: <?php echo esc_html( $primary_color);?>;
}
<?php
/*------------------------------
#. EL: Counter Up
--------------------------------*/
?>
.counter-style1 .count-plus{
	background-color: <?php echo esc_html( $primary_color);?>;
}

.widget_gymat_advertisement .advertisement-widget .add-button .btn-style1:hover span{
	background-color: <?php echo esc_html( $secondary_color);?>;
}