<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

// Layout class
if ( GymatTheme::$layout == 'full-width' ) {
	$gymat_layout_class = 'col-sm-12 col-12';
} else {
	$gymat_layout_class = GymatTheme_Helper::has_active_widget();
}
$class_layout_ops = get_post_meta( get_the_ID() ,'gymat_class_style', true );
$f_layout = ( empty( $class_layout ) || ( $class_layout  == 'default' ) ) ? $class_layout_ops : $class_layout;

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">
		<div class="row">
		<?php if ( GymatTheme::$layout == 'left-sidebar' ) { 
			if ( is_active_sidebar( 'class-sidebar' ) ) {
				get_sidebar('gymat_class');
			} 
		} 
			
		?>
			<div class="<?php echo esc_attr( $gymat_layout_class );?>">
				<main id="main" class="site-main <?php echo esc_attr( $f_layout );?>">
					<div class="rt-sidebar-sapcer">							
						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/content-single', 'class' );?>
						<?php endwhile; ?>
					</div>
				</main>
			</div>
			<?php if ( GymatTheme::$layout == 'right-sidebar' ) { 
				if ( is_active_sidebar( 'class-sidebar' ) ) {
					get_sidebar('gymat_class');
				} 
			}	?>
		</div>
	</div>
</div>
<?php get_footer(); ?>
