<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */


// Layout class

if ( GymatTheme::$layout == 'full-width' ) {
	$gymat_layout_class = 'col-sm-12 col-xs-12';
	$col_class    = 'col-lg-4 col-md-6 col-sm-6 col-xs-12 no-equal-item';
}
else{
	$gymat_layout_class = 'col-lg-8 col-12';
	$col_class    = 'col-lg-6 col-md-6 col-sm-6 col-xs-12 no-equal-item';
}

// Template

$template_bg_sty		= 'bg-light-accent100';
$gutters				= '';
$container_class		= 'container';
$iso					= 'no-equal-gallery rt-masonry-grid';
$bg_image='no-bg-image';
if ( GymatTheme::$options['class_style'] == 'style1' ){
	$class_archive_layout 		= "class-default class-grid-layout1 archive-layout";
	$template 				 	= 'class-1';
	$col_lg						=GymatTheme::$options['class_grid1_cols'];
	$col_class    				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}elseif( GymatTheme::$options['class_style'] == 'style2' ){
	$class_archive_layout 		= "class-default class-multi-layout2 archive-layout";
	$template 				 	= 'class-2';
	$col_lg						=GymatTheme::$options['class_grid2_cols'];
	$col_class               	= "col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}else{
	$class_archive_layout 		= "class-default class-grid-layout1 archive-layout";
	$template 				 	= 'class-1';
	$col_lg						=GymatTheme::$options['class_grid1_cols'];
	$col_class    				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="class-archive-wrap ">
		<div class="container">
			<div class="row">
				<?php
					if ( GymatTheme::$layout == 'left-sidebar' ) {
						if ( is_active_sidebar( 'class-sidebar' ) ) {
							get_sidebar('gymat_class');
						}
					}
				?>
				<div class="<?php echo esc_attr( $class_archive_layout );?> <?php echo esc_attr( $gymat_layout_class );?>">
					<main id="main" class="site-main">
						<div class="rt-sidebar-sapcer">				
							<?php 
							$delay = 200;
							if ( have_posts() ) :?>
								<div class="row">
									<?php while ( have_posts() ) : the_post(); ?>
										<div class="<?php echo esc_attr( $col_class );?> rt-animate wow fadeInUp" data-wow-delay="<?php echo esc_attr( $delay."ms" ); ?>" data-wow-duration="1200ms">
											<?php get_template_part( 'template-parts/content', $template ); ?>
										</div>
									<?php 
									$delay+=200 ;
									endwhile; ?>
								</div>
							<?php GymatTheme_Helper::pagination(); ?>	
							<?php else:?>
								<?php get_template_part( 'template-parts/content', 'none' );?>
							<?php endif;?>
						</div>
					</main>
				</div>
				<?php
					if( GymatTheme::$layout == 'right-sidebar' ){				
						if ( is_active_sidebar( 'class-sidebar' ) ) {
							get_sidebar('gymat_class');
						}
					}
				?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>
