<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
 
 
if ( GymatTheme::$layout == 'full-width' ) {
	$gymat_layout_class = 'col-sm-12 col-12';
}
else{
	$gymat_layout_class = GymatTheme_Helper::has_active_widget();
}

// Template
$iso						= 'no-equal-gallery';

$gallery_archive_layout = "gallery-default gallery-multi-layout-1";
$template 				 = 'gallery-1';
$col_lg						=GymatTheme::$options['gallery_grid_cols'];
$col_class    				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">
		<div class="row">
			<?php
				if ( GymatTheme::$layout == 'left-sidebar' ) {
					get_sidebar();
				}
			?>		
			<div class="<?php echo esc_attr( $gallery_archive_layout );?> <?php echo esc_attr( $gymat_layout_class );?>">
				<main id="main" class="site-main">	
					<?php if ( have_posts() ) :?>			

						<div class="row zoom-gallery <?php echo esc_attr( $iso );?>">
							<?php while ( have_posts() ) : the_post(); ?>
								<div class="<?php echo esc_attr( $col_class );?>">
									<?php get_template_part( 'template-parts/content', $template ); ?>
								</div>
							<?php endwhile; ?>
						</div>

					<?php GymatTheme_Helper::pagination(); ?>	
					<?php else:?>
						<?php get_template_part( 'template-parts/content', 'none' );?>
					<?php endif;?>
				</main>
			</div>			
			<?php
				if( GymatTheme::$layout == 'right-sidebar' ){				
					get_sidebar();
				}
			?>
		</div>	
	</div>
</div>
<?php get_footer(); ?>
