<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

// Layout class
if ( GymatTheme::$layout == 'full-width' ) {
	$gymat_layout_class = 'col-sm-12 col-12';
}
else{
	$gymat_layout_class = GymatTheme_Helper::has_active_widget();
}


if ( GymatTheme::$options['trainer_archive_style'] == 'style1' ){
	$trainer_archive_layout 		= "trainer-default trainer-multi-layout-1 trainer-archive-style1";
	$template 				 		= 'trainer-1';
	$col_lg							=GymatTheme::$options['trainer_grid1_cols'];
	$trainer_col_class				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}elseif( GymatTheme::$options['trainer_archive_style'] == 'style2' ){
	$trainer_archive_layout 		= "trainer-default trainer-multi-layout-2 trainer-archive-style2";
	$template 				 		= 'trainer-2';
	$col_lg							=GymatTheme::$options['trainer_grid2_cols'];
	$trainer_col_class				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}
else{
	$trainer_archive_layout 		= "trainer-default trainer-multi-layout-1 trainer-archive-style1";
	$template 				 	= 'trainer-1';
	$col_lg							=GymatTheme::$options['trainer_grid1_cols'];
	$trainer_col_class				="col-lg-".$col_lg." "."col-md-6 col-sm-6 col-xs-12";
}

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">	
		<div class="row">
			<?php
				if ( GymatTheme::$layout == 'left-sidebar' ) {
					get_sidebar();
				}
			?>
			<div class="<?php echo esc_attr( $trainer_archive_layout );?> <?php echo esc_attr( $gymat_layout_class );?>">
				<main id="main" class="site-main">
					<div class="rt-sidebar-sapcer">					
						<?php 
						$delay = 100;
						if ( have_posts() ) :?>
							<div class="row">
								<?php while ( have_posts() ) : the_post(); ?>
									<div class="<?php echo esc_attr($trainer_col_class); ?> rt-animate wow fadeInUp"  data-wow-delay="<?php echo esc_attr( $delay."ms" ); ?>" data-wow-duration="800ms">
										<?php get_template_part( 'template-parts/content', $template ); ?>
									</div>
								<?php 
								$delay+=100 ;
								endwhile; ?>
							</div>
						<?php GymatTheme_Helper::pagination(); ?>	
						<?php else:?>
							<?php get_template_part( 'template-parts/content', 'none' );?>
						<?php endif;?>
					</div>
				</main>
			</div>
			<?php
				if( GymatTheme::$layout == 'right-sidebar' ){				
					get_sidebar();
				}
			?>
		</div>
	</div>
</div>
<?php get_footer(); ?>
