<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$ul_class = $post_classes = '';

$thumb_size = 'gymat-size4';

$gymat_has_entry_meta  = ( GymatTheme::$options['blog_date'] || GymatTheme::$options['blog_author_name'] || GymatTheme::$options['blog_cats']  ) ? true : false;

$gymat_time_html = sprintf( '<span>%s</span> <span>%s</span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );

$thumbnail = false;

if (  GymatTheme::$layout == 'right-sidebar' || GymatTheme::$layout == 'right-sidebar' ){
	$post_classes = array( 'col-lg-6 col-md-6 col-sm-6 col-12 blog-layout-1' );
	$ul_class = 'side_bar';
} else {
	$post_classes = array( 'col-lg-4 col-md-4 col-sm-4 col-12  blog-layout-1' );
	$ul_class = '';
}

if ( empty(has_post_thumbnail() ) ) {
	$img_class ='no_image';
}else {
	$img_class ='show_image';
}

$id = get_the_ID();
$title = get_the_title();
$title = wp_trim_words( $title, GymatTheme::$options['post_title_limit'], '' );	
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
	<div class="blog-box <?php echo esc_attr($img_class); ?>">
		<?php if ( has_post_thumbnail()  ) { ?>
			<div class="blog-img-holder">
				<div class="blog-img">
					<a href="<?php the_permalink(); ?>" class="img-opacity-hover"><?php if ( has_post_thumbnail() ) { ?>
						<?php the_post_thumbnail( $thumb_size, ['class' => 'img-responsive'] ); ?>
							<?php } 
						?>
					</a>
				</div>
			</div>
		<?php } else {
			if ( GymatTheme::$options['display_no_preview_image'] == '1' ) {
				if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
					$thumbnail = wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );						
				}
				elseif ( empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
					$thumbnail = '<img class="wp-post-image" src="'.GYMAT_IMG_URL.'noimage_420X435.jpg" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
				}
				echo wp_kses( $thumbnail , 'alltext_allow' );
			}
		}
		?>
		<div class="entry-content">
			<?php  if ( GymatTheme::$options['blog_cats'] ) { ?>
				<div class="blog-cat"><?php echo the_category( ', ' );?></div>
			<?php } ?>
			<h3 class="entry-title"><a href="<?php the_permalink();?>"><?php echo wp_kses( $title , 'alltext_allow' ); ?></a></h3>
			<?php if ( $gymat_has_entry_meta ) { ?>
				<ul class="entry-meta">
					<?php if ( GymatTheme::$options['blog_author_name'] ) { ?>
						<li class="post-author"><?php echo get_avatar(get_the_author_meta("ID"),32); ?><?php esc_html_e( 'By ', 'gymat' );?><?php the_author_posts_link(); ?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_date'] ) { ?>			
						<li class="blog-date"><?php echo get_the_date(); ?></li>	
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_comment_num'] ) { ?>
					<li class="blog-comment"><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $gymat_comments_html , 'alltext_allow' );?>
						</a>
					</li>
					<?php } if ( GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"></i><?php echo gymat_reading_time(); ?></li>
					<?php } if ( GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) { ?>
					<li><span class="meta-views meta-item "><?php echo gymat_views(); ?></span></li>
					<?php } ?>
				</ul>
			<?php } ?>
		</div>
	</div>
</div>