<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$thumb_size = 'gymat-size1';

$gymat_has_entry_meta  = ( GymatTheme::$options['blog_date'] || GymatTheme::$options['blog_author_name'] || GymatTheme::$options['blog_cats'] || GymatTheme::$options['blog_comment_num'] || GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) || GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) ? true : false;

$gymat_time_html       = sprintf( '<span>%s</span><span>%s</span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );
$gymat_time_html       = apply_filters( 'gymat_single_time', $gymat_time_html );

$gymat_comments_number = number_format_i18n( get_comments_number() );
$gymat_comments_html = $gymat_comments_number == 1 ? esc_html__( 'Comment: ' , 'gymat' ) : esc_html__( 'Comments: ' , 'gymat' );
$gymat_comments_html = $gymat_comments_html . '<span class="comment-number">'. $gymat_comments_number .'</span> ';

$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( get_the_excerpt(), GymatTheme::$options['post_content_limit'], '' );

if ( empty(has_post_thumbnail() ) ) {
	$img_class ='no_image';
}else {
	$img_class ='show_image';
}

?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-layout-2' ); ?>>
	<div class="blog-box  <?php echo esc_attr($img_class); ?>">
		<?php if ( has_post_thumbnail() ) { ?>
			<div class="blog-img-holder">
				<div class="blog-img">
					<a href="<?php the_permalink(); ?>" class="img-opacity-hover"><?php if ( has_post_thumbnail() ) { ?>
						<?php the_post_thumbnail( $thumb_size, ['class' => 'img-responsive'] ); ?>
						<?php } 
					?>
					</a>
				</div>
			</div>
		<?php } 
		else {
			if ( GymatTheme::$options['display_no_preview_image'] == '1' ) {
				if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
					$thumbnail = wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );						
				}
				elseif ( empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
					$thumbnail = '<img class="wp-post-image" src="'.GYMAT_IMG_URL.'noimage_870X525.jpg" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
				}
				echo wp_kses( $thumbnail , 'alltext_allow' );
			}
		}
		?>
		<div class="entry-content">
			<?php if ( $gymat_has_entry_meta ) { ?>
				<ul class="entry-meta">
					<?php if ( GymatTheme::$options['blog_author_name'] ) { ?>
						<li class="post-author"><?php echo get_avatar(get_the_author_meta("ID"),32); ?><?php esc_html_e( 'By ', 'gymat' );?><?php the_author_posts_link(); ?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_date'] ) { ?>			
						<li class="blog-date"><?php echo get_the_date(); ?></li>	
					<?php } ?>
					<?php  if ( GymatTheme::$options['blog_cats'] ) { ?>
					<li class="blog-cat"><?php echo the_category( ', ' );?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_comment_num'] ) { ?>
					<li class="blog-comment"><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $gymat_comments_html , 'alltext_allow' );?>
						</a>
					</li>
					<?php } if ( GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"></i><?php echo gymat_reading_time(); ?></li>
					<?php } if ( GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) { ?>
					<li><span class="meta-views meta-item "><?php echo gymat_views(); ?></span></li>
					<?php } ?>
				</ul>
			<?php } ?>
			<h3 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
			<?php if(GymatTheme::$options['blog_content']){ ?>
				<p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p>
				<div class="blog-btn">
					<a href="<?php the_permalink();?>" class="btn-style1"><span><?php esc_html_e( 'Read more ', 'gymat' );?>
					<svg width="21" height="12" viewBox="0 0 21 12" fill="none" xmlns="http://www.w3.org/2000/svg">
					<path fill-rule="evenodd" clip-rule="evenodd" d="M0 6C0 6.22729 0.087059 6.44527 0.242027 6.60598C0.396994 6.7667 0.607174 6.85699 0.82633 6.85699H18.1774L14.6292 10.5352C14.5523 10.6149 14.4914 10.7095 14.4498 10.8136C14.4082 10.9177 14.3868 11.0292 14.3868 11.1419C14.3868 11.2546 14.4082 11.3662 14.4498 11.4703C14.4914 11.5744 14.5523 11.669 14.6292 11.7487C14.706 11.8284 14.7972 11.8916 14.8976 11.9347C14.998 11.9778 15.1056 12 15.2142 12C15.3229 12 15.4304 11.9778 15.5308 11.9347C15.6312 11.8916 15.7224 11.8284 15.7992 11.7487L20.7572 6.60675C20.8342 6.52714 20.8952 6.43257 20.9369 6.32846C20.9786 6.22434 21 6.11272 21 6C21 5.88728 20.9786 5.77566 20.9369 5.67154C20.8952 5.56743 20.8342 5.47286 20.7572 5.39325L15.7992 0.251323C15.6441 0.0904038 15.4336 0 15.2142 0C14.9948 0 14.7843 0.0904038 14.6292 0.251323C14.474 0.412243 14.3868 0.630497 14.3868 0.858071C14.3868 1.08565 14.474 1.3039 14.6292 1.46482L18.1774 5.14301H0.82633C0.607174 5.14301 0.396994 5.2333 0.242027 5.39402C0.087059 5.55474 0 5.77271 0 6Z" fill="white"/>
					</svg></span></a>
				</div>
			<?php } ?>		
		</div>
	</div>
</div>