<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
 
if ( is_404() || is_singular('trainer')) {
	$gymat_title = GymatTheme::$options['error_title'];
} else if ( is_search() ) {
	$gymat_title = esc_html__( 'Search Results for : ', 'gymat' ) . get_search_query();
} else if ( is_home() ) {
	if ( get_option( 'page_for_posts' ) ) {
		$gymat_title = get_the_title( get_option( 'page_for_posts' ) );
	}
	else {
		$gymat_title = apply_filters( 'theme_blog_title', esc_html__( 'All Posts', 'gymat' ) );
	}
} else if ( is_archive() ) {
	$gymat_title = get_the_archive_title();
} else if ( is_page() ) {
	$gymat_title = get_the_title();
} else if ( is_single() ) {
	$gymat_title = get_the_title();
}

if ( !empty( GymatTheme::$options['post_banner_title'] ) ){
	$post_banner_title = GymatTheme::$options['post_banner_title'];
} else {
	$post_banner_title = esc_html__( 'Our News' , 'gymat' );
}

?>
<?php if ( GymatTheme::$has_banner === 1 || GymatTheme::$has_banner === "on" ): ?>
	<div class="entry-banner">
		<?php if ( GymatTheme::$options['banner_shape'] ) { ?>
			<div class="banner-element">
				<img width="189" height="110" src="<?php echo GYMAT_ASSETS_URL . 'element/shape-113.png'; ?>" alt="<?php echo esc_attr( 'shape-113','gymat' ); ?>">
				
			</div>
			<div class="banner-element2">
				<img  width="87" height="30" src="<?php echo GYMAT_ASSETS_URL . 'element/shape-114.png'; ?>" alt="<?php echo esc_attr( 'shape-114','gymat' ); ?>">
				
			</div>
		<?php } ?>
		<div class="container">
			<div class="entry-banner-content">
				<?php if(is_singular('gymat_trainer')){ ?>
					<h1 class="entry-title"><?php _e("Trainer Details","gymat"); ?></h1>
				<?php } else if ( is_single() ) { ?>
				<h1 class="entry-title"><?php echo wp_kses( $gymat_title , 'alltext_allow' );?></h1>
				<?php } else if ( is_page() ) { ?>
					<h1 class="entry-title"><?php echo wp_kses( $gymat_title , 'alltext_allow' );?></h1>
				<?php } else { ?>
					<h1 class="entry-title"><?php echo wp_kses( $gymat_title , 'alltext_allow' );?></h1>
				<?php } ?>
				<?php if ( GymatTheme::$has_breadcrumb == 1 ) { ?>
					<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
				<?php } ?>
			</div>
		</div>
	</div>
<?php endif; ?>