<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$thumb_size 			= 'gymat-size5';

$weeknames = array(
	'mon' => esc_html__( 'Monday', 'gymat' ),
	'tue' => esc_html__( 'Tuesday', 'gymat' ),
	'wed' => esc_html__( 'Wednesday', 'gymat' ),
	'thu' => esc_html__( 'Thursday', 'gymat' ),
	'fri' => esc_html__( 'Friday', 'gymat' ),
	'sat' => esc_html__( 'Saturaday', 'gymat' ),
	'sun' => esc_html__( 'Sunday', 'gymat' ),
);

$weeknames = apply_filters( 'gymat_weeknames_short', $weeknames );

$gymat_class_icon   = get_post_meta( get_the_ID(), 'gymat_class_icon', true );
$gymat_class_img   	= get_post_meta( get_the_ID(), 'gymat_class_img', true );
$id = get_the_ID();
$content = wp_trim_words( get_the_excerpt(), GymatTheme::$options['class_excerpt_limit'], '' );
$schedule = get_post_meta( $id, 'gymat_class_schedule', true );
$schedule = ( $schedule != '' ) ? $schedule : array();
$schedule_limit = apply_filters( 'gymat_schedule_limit', false );
if ( $schedule_limit ) {
	$schedule = array_slice( $schedule, 0, $schedule_limit );
}																							
?>
<article id="post-<?php the_ID(); ?>">
	<div class="class-item ">
		<div class="class-box-content">
			<div class="class-content">
				<h3 class="class-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p>
				<?php if(GymatTheme::$options['class_ar_icon']){ ?>
					<div class="class-media">
						<?php if($gymat_class_img){ ?>
							<div class="class-img">
								<?php echo wp_get_attachment_image( $gymat_class_img );?> 
							</div>
						<?php } else { ?>
							<div class="class-icon">
									<i class="<?php echo wp_kses_post( $gymat_class_icon  );?>"></i>
							</div>
						<?php } ?>	
					</div>
				<?php } ?>
			</div>
			<div class="thumbnail-img-wrap">
				<div class="class-thumbnail">
					<?php
						if ( has_post_thumbnail() ){ ?>
							<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( $thumb_size, ['class' => 'img-fluid mb-10 width-100'] ); ?></a>
						<?php }
						else {
								echo '<img class="wp-post-image" src="' .get_img( 'noimage_390X340.jpg' ) . '" alt="'.get_the_title().'">';
							}
					?>
				</div>
			</div>
			<div class="schedule-time">
				<ul >
					
					<?php foreach ( $schedule as $time ): ?>
						<?php if ( !empty( $time['week'] ) && !empty( $time['start_time'] ) ): ?>
							<?php
							$start_time = !empty( $time['start_time'] ) ? strtotime( $time['start_time'] ) : false;

							if ( GymatTheme::$options['class_time_format'] == '24' ) {
								$start_time = $start_time ? date( "H:i", $start_time ) : '';
							}
							else {
								$start_time = $start_time ? date( "g:i a", $start_time ) : '';
							}
							?>
							<li>
								<span class="day"><?php echo esc_html( $weeknames[$time['week']] );?>:</span>
								<span class="time"><?php echo esc_html( $start_time );?></span>
						   </li>
						<?php endif; ?>
					<?php endforeach; ?>
				</ul>
			</div>
		</div>
	</div>
</article>
