<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$thumb_size = 'gymat-size7';
$id 		= get_the_ID();
$content 	= get_the_content();
$content 	= apply_filters( 'the_content', $content );
$content 	= wp_trim_words( get_the_excerpt(), GymatTheme::$options['gallery_arexcerpt_limit'], '' );

?>
<article id="post-<?php the_ID(); ?>">
    <div class="gallery-item">
        <div class="gallery-figure">
           
            <?php
                if ( has_post_thumbnail() ){
                    the_post_thumbnail( 'full', ['class' => 'img-fluid mb-10 width-100'] );
                } else {
                    if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
                        echo wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], 'full' );
                    } else {
                        echo '<img class="wp-post-image" src="' . GymatTheme_Helper::get_img( 'noimage_370X328.jpg' ) . '" alt="'.get_the_title().'">';
                    }
                }
            ?>
            
            <div class="gallery-content">
                <h3 class="gallery-title"><?php the_title();?></h3>
                <?php if ( GymatTheme::$options['gallery_ar_category']) { ?>
                    <div class="gallery-cat"><?php
                        $i = 1;
                        $term_lists = get_the_terms( get_the_ID(), 'gymat_gallery_category' );
                        if($term_lists){
                            foreach ( $term_lists as $term_list ){ 
                            $link = get_term_link( $term_list->term_id, 'gymat_gallery_category' ); ?><?php if ( $i > 1 ){ echo esc_html( ', ' ); } ?><a href="<?php echo esc_url( $link ); ?>"><?php echo esc_html( $term_list->name ); ?></a><?php $i++; }
                            } ?>
                    </div>
                <?php } ?>
                <?php if ( GymatTheme::$options['gallery_ar_excerpt'] ) { ?>
					  <p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p>
				<?php } ?>
            </div>
            <?php if (  GymatTheme::$options['gallery_ar_link'] ) { ?>
                <div class="gallery-button">
                    <a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id() ); ?>" class="gallery-btn gymat-popup-zoom img-popup-icon"  title="<?php echo get_the_title(); ?>"><i class="fas fa-long-arrow-alt-right"></i></a>
                </div>
            <?php } ?>
        </div>
    </div>
</article>