<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$thumb_size = 'gymat-size1';

$gymat_has_entry_meta  = ( GymatTheme::$options['blog_date'] || GymatTheme::$options['blog_author_name'] || GymatTheme::$options['blog_cats'] || GymatTheme::$options['blog_comment_num'] || GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) || GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) ? true : false;

$gymat_time_html       = sprintf( '<span>%s</span><span>%s</span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );
$gymat_time_html       = apply_filters( 'gymat_single_time', $gymat_time_html );

$gymat_comments_number = number_format_i18n( get_comments_number() );
$gymat_comments_html = $gymat_comments_number == 1 ? esc_html__( 'Comment: ' , 'gymat' ) : esc_html__( 'Comments: ' , 'gymat' );
$gymat_comments_html = $gymat_comments_html . '<span class="comment-number">'. $gymat_comments_number .'</span> ';

$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( get_the_excerpt(), GymatTheme::$options['post_content_limit'], '' );


?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-layout-2' ); ?>>
	<div class="blog-box content-search">
		<div class="entry-content">
			<?php if ( $gymat_has_entry_meta ) { ?>
			<ul class="entry-meta">
				<?php if ( GymatTheme::$options['blog_author_name'] ) { ?>
					<li class="post-author"><?php echo get_avatar(get_the_author_meta("ID"),32); ?><?php esc_html_e( 'By ', 'gymat' );?><?php the_author_posts_link(); ?></li>
				<?php } ?>
				<?php if ( GymatTheme::$options['blog_date'] ) { ?>			
					<li class="blog-date">
					<?php echo get_the_date(); ?>	
					</li>	
				<?php } ?>
				<?php $cat=get_the_category( $id ); ?>
				<?php  if ( GymatTheme::$options['blog_cats'] && $cat) { ?>
				<li class="blog-cat"><?php echo the_category( ', ' );?></li>
				<?php } ?>
				<?php if ( GymatTheme::$options['blog_comment_num'] ) { ?>
				<li class="blog-comment"><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $gymat_comments_html , 'alltext_allow' );?>
					</a>
			    </li>
				<?php } if ( GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) ) { ?>
				<li class="meta-reading-time meta-item"><?php echo gymat_reading_time(); ?></li>
				<?php } if ( GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) { ?>
				<li><span class="meta-views meta-item "><?php echo gymat_views(); ?></span></li>
				<?php } ?>
			</ul>
			<?php } ?>
			<h3 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
			<?php if(GymatTheme::$options['blog_content']){ ?>
				<p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p>
			<?php } ?>		
		</div>
	</div>
</div>