<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$thumb_size = 'full';
global $post;
$class_video_link  	        = get_post_meta( $post->ID, 'gymat_class_video', true );
$gymat_schedules 			= get_post_meta( $post->ID, 'gymat_class_schedule', true );
$gymat_schedule_table_text  = get_post_meta( $post->ID, 'gymat_class_schedule_table_text', true );
$gymat_weeknames = array(
	'mon' => esc_html__( 'Monday', 'gymat' ),
	'tue' => esc_html__( 'Tuesday', 'gymat' ),
	'wed' => esc_html__( 'Wednesday', 'gymat' ),
	'thu' => esc_html__( 'Thursday', 'gymat' ),
	'fri' => esc_html__( 'Friday', 'gymat' ),
	'sat' => esc_html__( 'Saturday', 'gymat' ),
	'sun' => esc_html__( 'Sunday', 'gymat' ),
);
$gymat_weeknames = apply_filters( 'gymat_class_single_weeknames', $gymat_weeknames );
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'class-single' ); ?>>
	<div class="single-class-inner">
		<div class="post-thumb">
			<?php
				if ( has_post_thumbnail() ){
					the_post_thumbnail( $thumb_size );
				} else {
					if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
						echo wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );
					} else {
						echo '<img class="wp-post-image" src="' . GymatTheme_Helper::get_img( 'noimage_1210X584.jpg' ) . '" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
					}
				}
			?>
			<?php if($class_video_link ){ ?>
				<div class="video-icon">
					<a class="rtin-play  rt-video-popup" href="<?php echo esc_url( $class_video_link ); ?>"><span class="play-icon"><i class="fas fa-play"></i></span></a>
				</div>
			<?php } ?>
		</div>
		<div class="entry-content">
			<?php the_content(); ?>
			<?php if ( !empty( $gymat_schedules ) ): ?>
				<div class="class-schedule">
					<h3><?php esc_html_e( 'Class Time Table', 'gymat' );?></h3>
					<?php if($gymat_schedule_table_text){ ?>
						<p><?php echo wp_kses_post( $gymat_schedule_table_text ); ?></p>
					<?php } ?>
					<div class="table-layout table-responsive">
						<table class="schedule-table">
							<tbody>
								<tr>
									<th><?php esc_html_e( 'Day', 'gymat' ); ?></th>
									<th><?php esc_html_e( 'Time', 'gymat' ); ?></th>
									<th><?php esc_html_e( 'Trainer', 'gymat' ); ?></th>
								</tr>
								<?php foreach ( $gymat_schedules as $gymat_schedule ): ?>
									<?php
									if ( !isset( $gymat_weeknames[$gymat_schedule['week']] ) || !$gymat_schedule['start_time'] ) continue;

									$gymat_trainer = false;
									if ( !empty( $gymat_schedule['trainer'] ) && get_post_status( $gymat_schedule['trainer'] ) ) {
										$gymat_trainer = true;
										$gymat_trainer_name = get_the_title( $gymat_schedule['trainer'] );
										$gymat_trainer_link = get_permalink( $gymat_schedule['trainer'] );
									}
									
									$start_time = !empty( $gymat_schedule['start_time'] ) ? strtotime( $gymat_schedule['start_time'] ) : false;
									$end_time   = !empty( $gymat_schedule['end_time'] ) ? strtotime( $gymat_schedule['end_time'] ) : false;

									if ( GymatTheme::$options['class_time_format'] == '24' ) {
										$start_time = $start_time ? date_i18n( "H:i", $start_time ) : '';
										$end_time   = $end_time ? date_i18n( "H:i", $end_time ) : '';
									}
									else {
										$start_time = $start_time ? date_i18n( "g:ia", $start_time ) : '';
										$end_time   = $end_time ? date_i18n( "g:ia", $end_time ) : '';
									}

									?>
									<tr>
										<td>
											<?php if($gymat_weeknames[$gymat_schedule['week']]){ ?>
												<?php echo esc_html( $gymat_weeknames[$gymat_schedule['week']] ); ?>
											<?php } ?>
										</td>
									
										<td>
											<?php  if($start_time || $end_time){
												$start_time=$start_time ? $start_time:'';
												$end_time=$end_time ? " - {$end_time}":'';
												?>
												<?php echo esc_html( $start_time ); ?> <?php echo esc_html($end_time); ?>
											<?php } ?>
										</td>
										<td>
											<?php  if(!empty($gymat_trainer_name)){ ?>
												<a href="<?php echo esc_url($gymat_trainer_link); ?>"><?php echo esc_html($gymat_trainer_name); ?></a>
											<?php } ?>
										</td>
									</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
			<?php endif; ?>
		</div>
		<?php  if( GymatTheme::$options['show_related_class'] == '1' && is_single() && !empty ( gymat_related_class() ) ) { ?>	
		<div class="related-class">
			<?php  gymat_related_class(); ?>
		</div>
		<?php } ?>
	</div>
</div>