<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

global $post;

$gymat_trainer_position 	= get_post_meta( $post->ID, 'gymat_trainer_designation', true );
$gymat_trainer_skill        = get_post_meta( $post->ID, 'gymat_trainer_skill', true );
$socials        			= get_post_meta( $post->ID, 'gymat_trainer_socials', true );
$socials        			= array_filter( $socials );
$socials_fields 			= GymatTheme_Helper::trainer_socials();
$trainer_id=get_the_ID();
$thumb_size = 'full';
$gymat_contact_form 	= get_post_meta( $post->ID, 'gymat_trainer_contact_form', true );
function sort_by_time( $a, $b ) {
	return $a['timestamp'] > $b['timestamp'];
}

$weeknames = array(
	'mon' => esc_html__( 'Monday', 'gymat' ),
	'tue' => esc_html__( 'Tuesday', 'gymat' ),
	'wed' => esc_html__( 'Wednesday', 'gymat' ),
	'thu' => esc_html__( 'Thursday', 'gymat' ),
	'fri' => esc_html__( 'Friday', 'gymat' ),
	'sat' => esc_html__( 'Saturaday', 'gymat' ),
	'sun' => esc_html__( 'Sunday', 'gymat' ),
);

?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'trainer-single' ); ?>>
	<div class="trainer-content-wrap">
		<div class="trainer-item-wrap other-page">
			<div class="row gutters-40">
				<div class="col-lg-4 col-12 fixed-bar-coloum">
					<div class="trainer-item" >
						<div class="trainer-info-box">
							<div class="trainer-thums">
								<a href="<?php the_permalink();?>">
									<?php
									if ( has_post_thumbnail() ){
										the_post_thumbnail( $thumb_size );
									}
									else {
										if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
											echo wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );
										}
										else {
											echo '<img class="wp-post-image" src="' . GymatTheme_Helper::get_img( 'noimage_400X400.jpg' ) . '" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
										}
									}
									?>
								</a>
							</div>
							<div class="trainer-info">
								<h2 class="trainer-title"><?php the_title( ); ?></h2>
								<?php if ( GymatTheme::$options['trainer_ar_position'] ) { ?>
									<h4 class="trainer-designation"><?php echo esc_html( $gymat_trainer_position );?></h4>
								<?php } ?>
							</div>
							<?php if ( GymatTheme::$options['trainer_ar_social'] ) { ?>
								<div class="trainer-social">
									<ul class="trainer-social-icon">
										<?php foreach ( $socials as $key => $value ): ?>
											<li><a target="_blank" href="<?php echo esc_url( $value ); ?>"><i class="fab <?php echo esc_attr( $socials_fields[$key]['icon'] );?>"></i></a></li>
										<?php endforeach; ?>
									</ul>
								</div>
							<?php } ?>
						</div>
						<?php
						$args = array(
							'post_type'      => 'gymat_class',
							'post_status'   =>'publish',
							'meta_query'  => array(
								array(
									'key' => 'gymat_class_schedule',
									'value' => get_the_ID(),
									'compare' => 'LIKE',
								)
							)
						);
						$query = new WP_Query( $args );
						$temp = GymatTheme_Helper::wp_set_temp_query( $query );
						if($query->have_posts()){ 
							$schedule = array();
							while($query->have_posts()){
								$query->the_post(); 
								$id		=get_the_ID();
								$metas  = get_post_meta( $id, 'gymat_class_schedule', true );
								$metas  = ( $metas != '' ) ? $metas : array();
								foreach($metas as $meta){
									if ( empty( $meta['week'] ) || empty( $meta['start_time'] ) || empty( $meta['end_time'] ) ) {
										continue;
									}
									if($meta['trainer']==$trainer_id){
										$timestamp = $meta['week'] . ' ' . $meta['start_time'];
										$timestamp = strtotime($timestamp);
										$start_time = strtotime( $meta['start_time'] );
										$end_time = strtotime( $meta['end_time'] );
										if ( GymatTheme::$options['class_time_format'] == '24' ) {
											$start_time = $start_time ? date( "H:i", $start_time ) : '';
											$end_time   = $end_time ? date( "H:i", $end_time ) : '';
										}
										else {
											$start_time = $start_time ? date( "g:i a", $start_time ) : '';
											$end_time   = $end_time ? date( "g:i a", $end_time ) : '';
										}
										$schedule[]=array(
											'class'        => get_the_title($id),
											'weekday' 	   =>$meta['week'],
											'start_time'   =>$start_time,
											'end_time'	   =>$end_time,
											'timestamp'	   =>$timestamp,
										);
									}
								}
								
								?>
							<?php }
							GymatTheme_Helper::wp_reset_temp_query( $temp ); 
						} 
						if(!empty($schedule)){
							usort( $schedule, 'sort_by_time' );
						}
						if(!empty($schedule)){ ?>
							<div class="trainer-class-schedule">
								<h4><?php echo wp_kses( GymatTheme::$options['class_schedule_title'] , 'alltext_allow' );?></h4>
								<ul class="schedule-list">
									<?php foreach($schedule as $class_time){ ?>
										<?php
											$time= $class_time['start_time']." - ".$class_time['end_time'];
										?>
										<li><h5><span class="day"><?php echo esc_html( $weeknames[$class_time['weekday']] ).':'; ?></span><span class="time"><?php echo esc_html($time); ?></span></h5></li>
									<?php } ?>
								</ul>
							</div>
						<?php } 
						?>
					</div>
				</div>
				<div class="col-lg-8 col-12">
					<div class="trainer-content single-box">
						<h3><?php esc_html_e( 'Biography', 'gymat' );?></h3>
						<?php the_content();?>
						<?php if ( GymatTheme::$options['trainer_skill_option'] ) { ?>
							<?php if ( !empty( $gymat_trainer_skill ) ) { ?>
								<div class="trainer-skill-wrap single-box">
									<div class="trainer-skills ">
										<h3 class="trainer-heading"><?php esc_html_e( 'Skills', 'gymat' );?></h3>
										<?php foreach ( $gymat_trainer_skill as $skill ): ?>
											<?php
											if ( empty( $skill['skill_name'] ) || empty( $skill['skill_value'] ) ) {
												continue;
											}
											$skill_value = (int) $skill['skill_value'];
											$skill_style = "width:{$skill_value}%;";
											?>
											<div class="trainer-skill-each">
												<div class="trainer-name"><?php echo esc_html( $skill['skill_name'] );?></div>
												<div class="progress">
													<div class="progress-bar  wow fadeInLeft rt-animate" data-progress="<?php echo esc_attr( $skill_value );?>%" style="<?php echo esc_attr( $skill_style );?>"> <span><?php echo esc_html( $skill_value );?>%</span></div>
												</div>								
											</div>
										<?php endforeach;?> 
									</div>
								</div>
							<?php } ?>
        				<?php } ?>
					</div>
					<!-- Contact form -->
					<?php if ( GymatTheme::$options['trainer_form'] ) { ?>
					
						<div class="trainer-contact-wrap"> 
							<div class="form-box">
								<h3 class="form-title"><?php echo wp_kses( GymatTheme::$options['trainer_form_title'] , 'alltext_allow' );?></h3>
								<?php if ( !empty( $gymat_contact_form ) ) { 
								   echo do_shortcode( $gymat_contact_form );
								 } else{
									$gymat_contact_form='[fluentform id="3"]';
									echo do_shortcode( $gymat_contact_form );
								 } ?>
							</div>
						</div>
					
					<?php } ?>
				</div>
			</div>	
		</div>
	</div>

	<?php if( GymatTheme::$options['show_related_trainer'] == '1' && is_single()) { ?>
		<div class="trainer-single-related-post">
			<div class="row">
					<div class="col-lg-12">
						<div class="related-post">
							<?php  gymat_related_trainer(); ?>
						</div>
					</div>
			</div>
		</div>
	<?php } ?>
</div>