<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$gymat_has_entry_meta  = ( GymatTheme::$options['post_date'] || GymatTheme::$options['post_author_name'] || GymatTheme::$options['post_comment_num'] || GymatTheme::$options['post_cats'] || ( GymatTheme::$options['post_length'] && function_exists( 'gymat_reading_time' ) ) || ( GymatTheme::$options['post_view'] && function_exists( 'gymat_views' ) ) ) ? true : false;

$gymat_comments_number = number_format_i18n( get_comments_number() );
$gymat_comments_html = $gymat_comments_number == 1 ? esc_html__( 'Comment' , 'gymat' ) : esc_html__( 'Comments' , 'gymat' );
$gymat_comments_html = '<span class="comment-number">'. $gymat_comments_number .'</span> '. $gymat_comments_html;
$gymat_author_bio = get_the_author_meta( 'description' );

$gymat_time_html       = sprintf( '<span>%s</span><span>%s</span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );
$gymat_time_html       = apply_filters( 'gymat_single_time', $gymat_time_html );

$author = $post->post_author;

$news_author_fb = get_user_meta( $author, 'gymat_facebook', true );
$news_author_tw = get_user_meta( $author, 'gymat_twitter', true );
$news_author_ld = get_user_meta( $author, 'gymat_linkedin', true );
$news_author_pr = get_user_meta( $author, 'gymat_pinterest', true );
$gymat_author_designation = get_user_meta( $author, 'gymat_author_designation', true );
$animation_value  =  GymatTheme::$options['animation'];

if ( empty(has_post_thumbnail() ) ) {
	$img_class ='no_image';
}else {
	$img_class ='show_image';
}

?>
<div id="post-<?php the_ID(); ?>" <?php post_class();?>>
	<div class="entry-header <?php echo esc_attr($img_class); ?> <?php echo esc_attr( $animation_value );?> fadeInUp" data-wow-delay="300ms" data-wow-duration="800ms">
		<?php if ( GymatTheme::$options['post_featured_image'] == true ) { ?>
			<?php if ( has_post_thumbnail() ) { ?>
				<div class="entry-thumbnail-area"><?php the_post_thumbnail( 'gymat-size1' , ['class' => 'img-responsive'] ); ?>
				</div>
			<?php } ?>
		<?php } ?>
		<div class="entry-content">
			<?php if ( $gymat_has_entry_meta ) { ?>	
				<ul class="entry-meta">
					<?php if ( GymatTheme::$options['post_author_name'] ) { ?>
						<li class="post-author"><?php echo get_avatar(get_the_author_meta("ID"),32); ?><?php esc_html_e( 'By ', 'gymat' );?><?php the_author_posts_link(); ?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['post_date'] ) { ?>			
						<li class="blog-date"><?php echo get_the_date(); ?></li>	
					<?php } ?>
					<?php  if ( GymatTheme::$options['post_cats'] ) { ?>
					<li class="blog-cat"><?php echo the_category( ', ' );?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['post_comment_num'] ) { ?>
						<li class="blog-comment"><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $gymat_comments_html , 'alltext_allow' );?>
							</a>
						</li>
					<?php } if ( GymatTheme::$options['post_length'] && function_exists( 'gymat_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"></i><?php echo gymat_reading_time(); ?></li>
					<?php } if ( GymatTheme::$options['post_view'] && function_exists( 'gymat_views' ) ) { ?>
					<li><span class="meta-views meta-item "><?php echo gymat_views(); ?></span></li>
					<?php } ?>
				</ul>
			<?php } ?>
			<div class="clear"></div>
			<div class="rt-single-content"><?php the_content();?>
				<?php wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'gymat' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) ); ?>
			</div>
		</div>
		<?php if ( ( GymatTheme::$options['post_tags'] && has_tag() ) || GymatTheme::$options['post_share'] ) { ?>
			<div class="entry-footer">
				<div class="entry-footer-meta">
					<?php if ( GymatTheme::$options['post_tags'] && has_tag() ) { ?>
					<div class="item-tags">
						<span><?php esc_html_e( 'Tags :', 'gymat' );?></span><?php echo get_the_term_list( $post->ID, 'post_tag', '' ); ?>
					</div>	
					<?php } if ( ( GymatTheme::$options['post_share'] ) && ( function_exists( 'gymat_post_share' ) ) ) { ?>
					<div class="post-share"><span><?php esc_html_e( 'Share :', 'gymat' );?></span><?php gymat_post_share(); ?></div>
					<?php } ?>
				</div>
			</div>
		<?php } ?>
	</div>
	<!-- next/prev post -->
	<?php if ( GymatTheme::$options['post_links'] ) { ?>
		<div class="<?php echo esc_attr( $animation_value );?> fadeInUp" data-wow-delay="500ms" 		data-wow-duration="800ms"><?php gymat_post_links_next_prev();?> 
		</div>
	<?php } ?>
	<?php if( GymatTheme::$options['show_related_post'] == '1' && is_single() && !empty ( gymat_related_post() ) ) { ?>
		<div class="related-post">
			<?php gymat_related_post(); ?>
		</div>
	<?php } ?>
	<?php
	if ( comments_open() || get_comments_number() ){ ?>
	<div class="<?php echo esc_attr( $animation_value );?> fadeInUp" data-wow-delay="600ms" 		data-wow-duration="800ms">
		<?php comments_template(); ?>
	</div>	
	<?php }
	?>	
</div>