<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$thumb_size = 'full';
$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( get_the_excerpt(), GymatTheme::$options['trainer_arexcerpt_limit'], '' );
$position   	= get_post_meta( $id, 'gymat_trainer_designation', true );
$socials       	= get_post_meta( $id, 'gymat_trainer_socials', true );
$social_fields 	= GymatTheme_Helper::trainer_socials();
?>
<article id="post-<?php the_ID(); ?>">
	<div class="trainer-item">
		<div class="trainer-content-wrap">
			<div class="trainer-thumb">
				<a href="<?php the_permalink();?>">
				<?php
				if ( has_post_thumbnail() ){
					the_post_thumbnail( $thumb_size );
				}
				else {
					if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
						echo wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );
					}
					else {
						echo '<img class="wp-post-image" src="' . GymatTheme_Helper::get_img( 'noimage_400X400.jpg' ) . '" alt="'.get_the_title().'">';
					}
				}
				?>
				</a>
			</div>
			<div class="trainer-content">
				<h3 class="trainer-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
				<?php if(GymatTheme::$options['trainer_ar_position']){ ?>
					<div class="trainer-designation"><?php echo esc_html( $position );?></div>
				<?php } ?>
				<?php if(GymatTheme::$options['trainer_ar_excerpt']){ ?>
					<p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p>
				<?php } ?>
				<?php if(GymatTheme::$options['trainer_ar_social']){ ?>
					<?php if ( !empty( $socials )) { ?>
							<ul class="trainer-social-icon">
								<?php foreach ( $socials as $key => $social ): ?>
									<?php if ( !empty( $social ) ): ?>
										<li><a target="_blank" href="<?php echo esc_url( $social );?>"><i class="fab <?php echo esc_attr( $social_fields[$key]['icon'] );?>" aria-hidden="true"></i></a>
										</li>
									<?php endif; ?>
								<?php endforeach; ?>
							</ul>
					<?php } ?>
				<?php } ?>
			</div>
		</div>
	</div>
</article>