<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$ul_class = $post_classes = '';

$thumb_size = 'gymat-size3';

$gymat_has_entry_meta  = ( GymatTheme::$options['blog_author_name'] || GymatTheme::$options['blog_cats'] || GymatTheme::$options['blog_comment_num'] || GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) || GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) ? true : false;

$gymat_time_html = sprintf( '<span><span>%s</span><br>%s<br>%s<br></span>', get_the_time( 'd' ), get_the_time( 'M' ), get_the_time( 'Y' ) );
$gymat_time_html = apply_filters( 'gymat_single_time', $gymat_time_html );

$gymat_time_html_2  = apply_filters( 'gymat_single_time_no_thumb', get_the_time( get_option( 'date_format' ) ) );

$gymat_comments_number = number_format_i18n( get_comments_number() );
$gymat_comments_html = $gymat_comments_number == 1 ? esc_html__( 'Comment: ' , 'gymat' ) : esc_html__( 'Comments: ' , 'gymat' );
$gymat_comments_html = $gymat_comments_html . '<span class="comment-number">'. $gymat_comments_number .'</span> ';

$thumbnail = false;

if (  GymatTheme::$layout == 'right-sidebar' || GymatTheme::$layout == 'right-sidebar' ){
	$post_classes = array( 'col-lg-6 col-md-6 col-sm-6 col-12 rt-grid-item blog-layout-1' );
	$ul_class = 'side_bar';
} else {
	$post_classes = array( 'col-lg-4 col-md-4 col-sm-4 col-12 rt-grid-item blog-layout-1' );
	$ul_class = '';
}

$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( get_the_excerpt(), GymatTheme::$options['post_content_limit'], '' );
	
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
	<div class="blog-box">
		<?php if ( has_post_thumbnail() || GymatTheme::$options['display_no_preview_image'] == '1'  ) { ?>
		<div class="blog-img-holder">
			<div class="blog-img">
				<a href="<?php the_permalink(); ?>" class="img-opacity-hover"><?php if ( has_post_thumbnail() ) { ?>
					<?php the_post_thumbnail( $thumb_size, ['class' => 'img-responsive'] ); ?>
						<?php } else {
						if ( GymatTheme::$options['display_no_preview_image'] == '1' ) {
							if ( !empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
								$thumbnail = wp_get_attachment_image( GymatTheme::$options['no_preview_image']['id'], $thumb_size );						
							}
							elseif ( empty( GymatTheme::$options['no_preview_image']['id'] ) ) {
								$thumbnail = '<img class="wp-post-image" src="'.GYMAT_IMG_URL.'noimage_1210X584.jpg" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
							}
							echo wp_kses( $thumbnail , 'alltext_allow' );
						}
					}
					?>
				</a>
			</div>
		</div>
		<?php } ?>
		<div class="entry-content">
			<?php if ( GymatTheme::$options['blog_date'] ) { ?>
				<div class="blog-date"><?php echo get_the_date(); ?></div>
			<?php } ?>
			<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
			<?php if ( GymatTheme::$options['blog_content'] ) { ?>
			<div class="blog-text"><p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p></div>
			<?php } ?>
			<?php if ( $gymat_has_entry_meta ) { ?>
				<ul class="entry-meta">
					<?php if ( GymatTheme::$options['blog_author_name'] ) { ?>
						<li class="post-author"><?php echo get_avatar(get_the_author_meta("ID"),32); ?><?php esc_html_e( 'By ', 'gymat' );?><?php the_author_posts_link(); ?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_date'] ) { ?>			
						<li class="blog-date"><?php echo get_the_date(); ?></li>	
					<?php } ?>
					<?php  if ( GymatTheme::$options['blog_cats'] ) { ?>
					<li class="blog-cat"><?php echo the_category( ', ' );?></li>
					<?php } ?>
					<?php if ( GymatTheme::$options['blog_comment_num'] ) { ?>
					<li class="blog-comment"><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses( $gymat_comments_html , 'alltext_allow' );?>
						</a>
					</li>
					<?php } if ( GymatTheme::$options['blog_length'] && function_exists( 'gymat_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"></i><?php echo gymat_reading_time(); ?></li>
					<?php } if ( GymatTheme::$options['blog_view'] && function_exists( 'gymat_views' ) ) { ?>
					<li><span class="meta-views meta-item "><?php echo gymat_views(); ?></span></li>
					<?php } ?>
				</ul>
			<?php } ?>			
		</div>
	</div>
</div>