<?php
$gymat_footer_column = GymatTheme::$options['footer_column_1'];
switch ( $gymat_footer_column ) {
	case '1':
	$gymat_footer_class = 'col-sm-12 col-12';
	break;
	case '2':
	$gymat_footer_class = 'col-sm-6 col-12';
	break;
	case '3':
	$gymat_footer_class = 'col-lg-4 col-md-6 col-12';
	break;		
	default:
	$gymat_footer_class = 'col-lg-3 col-md-6 col-12';
	break;
}

$gymat_bg_class='';
if( !empty( GymatTheme::$options['fbgimg'] ) ) {
	$f1_bg = wp_get_attachment_image_src( GymatTheme::$options['fbgimg'], 'full', true );
	$footer_bg_img = $f1_bg[0];
}
else {
	$footer_bg_img = GYMAT_IMG_URL . 'footer-1-bg.png';
}

if ( GymatTheme::$options['footer_bgtype'] == 'fbgcolor' ) {
	$gymat_bg = GymatTheme::$options['fbgcolor'] ? GymatTheme::$options['fbgcolor']:'#fafafa' ;
	$gymat_bg_class='no-footer-img';
} else {
	$gymat_bg = 'url(' . $footer_bg_img . ') no-repeat center bottom / cover';
	$gymat_bg_class='has-footer-img';
}

// Logo

if( !empty( GymatTheme::$options['footer_logo'] ) ) {
	$footer_logo = wp_get_attachment_image( GymatTheme::$options['footer_logo'], 'full' );
	$gymat_footer_logo = $footer_logo;
}else {
	$gymat_footer_logo = get_bloginfo( 'name' ); 
}
//socials
$gymat_socials = GymatTheme_Helper::socials();

?>

<?php if ( GymatTheme::$footer_area == 1 ) { ?>
	<div class="footer-top-area <?php echo esc_attr( $gymat_bg_class ); ?>"  style="background:<?php echo esc_html( $gymat_bg ); ?>">
		<?php if ( GymatTheme::$options['footer_shape'] ) { ?>
			<ul class="shape-holder">
				<li class="shape1 rt-animate wow fadeInUp" data-wow-delay="0.6s" data-wow-duration="1.5s">
					<img width="384" height="82" loading='lazy' src="<?php echo GYMAT_ASSETS_URL . 'element/footer-2.png'; ?>" alt="<?php echo esc_attr('footer-2', 'gymat'); ?>">
				</li>
			</ul>
		<?php } ?>
		<div class="container">
			<?php if ( is_active_sidebar( 'footer-style-1-1' ) ) { ?>
				<div class="footer-top-widget">
					<div class="row">
						<?php
						for ( $i = 1; $i <= $gymat_footer_column; $i++ ) {
							if(is_active_sidebar( 'footer-style-1-'. $i )){
								echo '<div class="' . $gymat_footer_class . '">';
								dynamic_sidebar( 'footer-style-1-'. $i );
								echo '</div>';
							}
						}
						?>
					</div>
				</div>	
			<?php } ?>
			<?php if(GymatTheme::$footer_copyright_area==1){?>
				<div class="copyright_wrap">
					<div class="footer-branding">
							<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_footer_logo, 'allow_link' ); ?></a>
					</div>
					<?php if ( GymatTheme::$options['footer_social'] && class_exists('Gymat_Core') ) { ?>
						<div class="footer-social">
							<?php foreach ( $gymat_socials as $gymat_social ): ?>
										<a target="_blank" href="<?php echo esc_url( $gymat_social['url'] );?>"><i class="fab <?php echo esc_attr( $gymat_social['icon'] );?>"></i></a>
							<?php endforeach; ?>
						</div>
					<?php } ?>
					<div class="copyright"><?php echo wp_kses( GymatTheme::$options['copyright_text'] , 'allow_link' );?></div>
				</div>
			<?php } ?>
		</div>		
	</div>
<?php } ?>
