
<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$nav_menu_args = GymatTheme_Helper::nav_menu_args();

// Logo
$text_logo='';
if( !empty( GymatTheme::$options['logo'] ) ) {
	$logo_dark = wp_get_attachment_image( GymatTheme::$options['logo'], 'full' );
	$gymat_dark_logo = $logo_dark;
    $text_logo='img-logo';
}else {
    $text_logo='text-logo';
	$gymat_dark_logo = get_bloginfo( 'name' ); 
}

if( !empty( GymatTheme::$options['logo_light'] ) ) {
	$logo_lights = wp_get_attachment_image( GymatTheme::$options['logo_light'], 'full' );
	$gymat_light_logo = $logo_lights;
    $text_logo='img-logo';
}else {
    $text_logo='text-logo';
	$gymat_light_logo = get_bloginfo( 'name' );
}

?>
<div id="rt-sticky-placeholder"></div>
<div class="header-menu mobile-menu menu-layout1" id="header-menu">
	<div class="container">
		<div class="menu-full-wrap">
			<div class="d-flex align-items-center justify-content-between">
                <div class="site-branding-wrap">
                    <div class="site-branding">
                        <h1><a class="dark-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_dark_logo, 'allow_link' ); ?></a></h1>
                        <h1><a class="light-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_light_logo, 'allow_link' ); ?></a></h1>
                    </div>
                </div>
                <div class="menu-wrap">
                        <div id="site-navigation" class="main-navigation">
                            <?php wp_nav_menu( $nav_menu_args );?>
                        </div>
                </div>
                <div class="header-right">
                    <ul class="info-wrap">
                        <?php if ( GymatTheme::$options['phone'] ) 
							$header_phone_text=GymatTheme::$options['header_hotline_txt'];
						{ ?>
                            <li class="phone">
								<a href="tel:<?php echo esc_attr( GymatTheme::$options['phone'] );?>" class="item-number">
								<i class="flaticon-phone"></i>
								<div class="item-content">
								    <?php if(!empty($header_phone_text)):?><span class="item-label"><?php echo esc_html($header_phone_text);?></span><?php endif; ?>
									<span class="item-number"><?php echo wp_kses( GymatTheme::$options['phone'] , 'alltext_allow' );?></span>
								</div>
								</a>
                            </li>
                        <?php } ?>
                        <?php if ( GymatTheme::$options['cart_icon'] ) { ?>
                            <li class="cart-icon-area">				
                                    <?php get_template_part( 'template-parts/header/icon', 'cart' );?>
                            </li>
                        <?php } ?>
                        <?php if ( GymatTheme::$options['online_button'] == '1' && !empty(GymatTheme::$options['online_button_text'])) { ?>
                            <li>
                                <div class="header-right-button">
                                <a target="_self" class="header-btn" href="<?php echo esc_url( GymatTheme::$options['online_button_link']  );?>"><span class="icon"><i class="fas fa-plus"></i></span><span class="btn-text"><?php echo esc_html( GymatTheme::$options['online_button_text'] );?></span></a>
                                </div>
                            </li>
                        <?php } ?> 
                    </ul>
                </div>
            </div>
		</div>
	</div>
</div>