<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$nav_menu_args = GymatTheme_Helper::nav_menu_args();

// Logo
$text_logo='';
if( !empty( GymatTheme::$options['logo'] ) ) {
	$logo_dark = wp_get_attachment_image( GymatTheme::$options['logo'], 'full' );
	$gymat_dark_logo = $logo_dark;
	$text_logo='img-logo';
}else {
	$text_logo='text-logo';
	$gymat_dark_logo = get_bloginfo( 'name' ); 
}

if( !empty( GymatTheme::$options['logo_light'] ) ) {
	$logo_lights = wp_get_attachment_image( GymatTheme::$options['logo_light'], 'full' );
	$gymat_light_logo = $logo_lights;
	$text_logo='img-logo';
}else {
	$text_logo='text-logo';
	$gymat_light_logo = get_bloginfo( 'name' );
}

?>
<div id="rt-sticky-placeholder"></div>
<div class="header-menu mobile-menu" id="header-menu">
	<div class="container">
		<div class="menu-full-wrap">
			<div class="d-flex align-items-center justify-content-between">
				<div>
					<div class="site-branding">
						<h1><a class="dark-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_dark_logo, 'allow_link' ); ?></a></h1>
                        <h1><a class="light-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_light_logo, 'allow_link' ); ?></a></h1>
					</div>
				</div>
				<div>
					<div class="menu-wrap">
						<div id="site-navigation" class="main-navigation">
								<?php if ( has_nav_menu( 'primary' ) ) { 
		             				wp_nav_menu( $nav_menu_args );
					            } else {
					              	if ( is_user_logged_in() ) {
					                	echo '<ul id="menu" class="nav fallbackcd-menu-item"><li><a class="fallbackcd" href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '">' . esc_html__( 'Add A Menu', 'gymat' ) . '</a></li></ul>';
					              	}
					            } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>