<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$nav_menu_args = GymatTheme_Helper::nav_menu_args();

// Logo
$text_logo='';
if( !empty( GymatTheme::$options['logo'] ) ) {
	$logo_dark = wp_get_attachment_image( GymatTheme::$options['logo'], 'full' );
	$gymat_dark_logo = $logo_dark;
	$text_logo='img-logo';
}else {
	$text_logo='text-logo';
	$gymat_dark_logo = get_bloginfo( 'name' ); 
}

if( !empty( GymatTheme::$options['logo_light'] ) ) {
	$logo_lights = wp_get_attachment_image( GymatTheme::$options['logo_light'], 'full' );
	$gymat_light_logo = $logo_lights;
	$text_logo='img-logo';
}else {
	$text_logo='text-logo';
	$gymat_light_logo = get_bloginfo( 'name' );
}

?>
<div id="rt-sticky-placeholder"></div>
<div class="header-menu mobile-menu" id="header-menu">
	<div class="container">
		<div class="header-full-wrap">
			<div class="header-action">
				<ul>
					<?php if ( GymatTheme::$options['vertical_menu_icon']){ ?>
						<li class="vertical-menu">
							<?php get_template_part( 'template-parts/header/icon', 'menu' ); ?>
						</li>
					<?php } ?>
					<?php if ( GymatTheme::$options['search_icon'] ) { ?>
						<li class="search-btn">
							<?php get_template_part( 'template-parts/header/icon', 'search' ); ?>
						</li>
					<?php } ?>
				</ul>
			</div>
			<div class="menu-wrap">
					<div id="site-navigation" class="main-navigation">
						<?php 
							wp_nav_menu(array(
								'theme_location'    =>'header_5_left_menu',
								'container'         => 'nav',
								'container_class'   => 'menu-main-menu-container',
							)); 
						?>
					</div>
			</div>
			<div class="site-branding">
				<h1><a class="dark-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_dark_logo, 'allow_link' ); ?></a></h1>
				<h1><a class="light-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_light_logo, 'allow_link' ); ?></a></h1>
			</div>
			<div class="menu-wrap">
					<div id="site-navigation-2" class="main-navigation">
						<?php 
							wp_nav_menu(array(
								'theme_location'    =>'header_5_right_menu',
								'container'         => 'nav',
								'container_class'   => 'menu-main-menu-container',
							)); 
						?>
					</div>
			</div>
			<div class="woo-icon-area">
				<ul>
					<?php if(class_exists('Woocommerce')){ ?>
						<li><a href="<?php echo esc_url( get_permalink( wc_get_page_id( 'myaccount' ) ) );?>"><i class="fas fa-user-alt"></i></a></li>
					<?php } ?>

					<?php get_template_part( 'template-parts/header/icon', 'wishlist' );?>

					<?php if ( GymatTheme::$options['cart_icon'] ) { ?>
						<li class="cart-icon-area">				
                            <?php get_template_part( 'template-parts/header/icon', 'cart' );?>
                        </li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
</div>