<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$gymat_socials = GymatTheme_Helper::socials();

$text_logo='';
if( !empty( GymatTheme::$options['logo'] ) ) {
	$logo_dark = wp_get_attachment_image( GymatTheme::$options['logo'], 'full' );
	$gymat_dark_logo = $logo_dark;
	$text_logo='img-logo';
}else {
	$text_logo='text-logo';
	$gymat_dark_logo = get_bloginfo( 'name' ); 
}

?>

<div class="additional-menu-area">
	<div class="sidenav">
		<a href="#" class="closebtn"><i class="fas fa-times"></i></a>
		<div class="additional-logo">
			<h1><a class="dark-logo <?php echo esc_attr($text_logo); ?>" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses( $gymat_dark_logo, 'allow_link' ); ?></a></h1>
		</div>
		<?php if(is_active_sidebar( 'offcanvas' )){
				dynamic_sidebar( 'offcanvas' );
			  }
		?>
		<div class="sidenav-address">
			<?php if ( $gymat_socials ) {?>
				<h4><?php esc_html_e( 'Follow Us', 'gymat' );?></h4>
				<div class="sidenav-social">
					<?php foreach ( $gymat_socials as $gymat_social ): ?>
						<span><a target="_blank" href="<?php echo esc_url( $gymat_social['url'] ); ?>"><i class="fab <?php echo esc_attr( $gymat_social['icon'] ); ?>"></i></a></span>
					<?php endforeach;?>
				</div>
			<?php }
		?>
		</div>
	</div>
	<span class="side-menu-open side-menu-trigger">
		<span></span>
		<span></span>
		<span></span>
	</span>
</div>